
*******************************************************************************************************************************
*********                                                                                                                       ***********************
*********       INCONSISTENCIES BETWEEN VARIABLES IN PUPIL BOOKLET                ***********************
*********                                                                                                                       ***********************
**********                                                                                                                      ***********************
*******************************************************************************************************************************
*******************************************************************************************************************************

*******************************************************************************************************************
*                                                                                                                                             *
*  NO MOTHER AND NO FATHER (PBK#5 & PBK#6) BUT LIVE WITH PARENTS (PBK#8.1         *
*                                                                                                                                             *
*******************************************************************************************************************

GET
  FILE='C:\SACMEQ III\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\01_PBK_PARTD_(Qnre)_NAM_S3_26SEPT2007.SAV'.


COMPUTE pb_D_cas = $CASENUM .
VARIABLE LABEL pb_D_cas 'Pupil Booklet Part D Record Number'.
FORMAT pb_D_cas (F8.0).
EXECUTE .


USE ALL.
COMPUTE filter_$=((pmalive = 1 or pmalive = 3 or missing(pmalive)) and (pfalive = 1 or pfalive = 3 or missing(pfalive)) and (pstay1 = 2)).
VARIABLE LABEL filter_$ 'No parents but live with them (PBK#5&6 & PBK#8.1)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pstay1 pmalive pfalive
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No parents but live with them (PBK#5&7 & PBK#8.1)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************
*                                                                                                                                             *
*           SAYS HAS MOTHER (PBK#5) BUT LATER SAY HAS NO MOTHER (PBK#15)                *
*                                                                                                                                             *
*******************************************************************************************************************

USE ALL.
COMPUTE filter_$=((pmalive = 2) and (pmother = 12)).
VARIABLE LABEL filter_$ 'Has mother but later says has no mother (PBK#5 & PBK#15)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pmalive pmother
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Has mother but later says has no mother (PBK#5 & PBK#15)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************
*                                                                                                                                             *
*           SAYS HAS FATHER (PBK#6) BUT LATER SAY HAS NO FATHER (PBK#16)                  *
*                                                                                                                                             *
*******************************************************************************************************************

USE ALL.
COMPUTE filter_$=((pfalive = 2) and (pfather = 12)).
VARIABLE LABEL filter_$ 'Has father but later says has no father (PBK#6 & PBK#16)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pfalive pfather
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Has father but later says has no father (PBK#6 & PBK#16)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  STAYS WITH PARENTS OR GUARDIAN (PBK#8) BUT LATER SAY HAS NO PARENTS (PBK#15 & 16)                  *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((pstay1 = 2 or pstay2 = 2 ) and (pmother = 12 and pfather = 12)).
VARIABLE LABEL filter_$ 'Stays with parents or guardian but later says has no parents or guardian (PBK#8 & PBK#15 & 16)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pstay1 pstay2 pmother pfather
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Has mother but later says has no mother (PBK#8 & PBK#15 & 16)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  NO BROTHERS OR SISTERS BUT LIVE WITH THEM (PBK#7 & PBK#8)                                                               *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(pstay4 = 2 and (pbro = 0 AND psis=0)).
VARIABLE LABEL filter_$ 'No brothers or sisters but live with them (PBK#7 & PBK#8)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pstay4 pbro psis
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No brothers or sisters but live with them (PBK#7 & PBK#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  NO BROTHERS OR SISTERS BUT TAKES CARE OF THEM (PBK#7 & PBK#22.4)                                                *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((pbro = 0 and psis = 0) and (pabwhy4 = 2)).
VARIABLE LABEL filter_$ 'No brothers or sisters but took care of them (PBK#7 & PBK#22.4)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pabwhy4 pbro psis
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No brothers or sisters but live with them (PBK#7 & PBK#22.4)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  PUPIL STAYS WITH NO ONE (PBK#8.1-8.9)                                                                                                        *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(pstay1 = 1 and pstay2 = 1 and pstay3 = 1 and pstay4 = 1 and pstay5 = 1 and pstay6 = 1 and pstay7 = 1 and pstay8 = 1 and pstay9 = 1).
VARIABLE LABEL filter_$ 'Pupil stays with no one (PBK#8)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pstay1 pstay2 pstay3 pstay4 pstay5 pstay6 pstay7 pstay8 pstay9
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Pupil stays with no one (PBK#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  PUPIL STAYS WITH A FAMILY (PBK#9) BUT NOT WITH A FAMILY IN (PBK#8.1-8.5)                                             *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((pstay1 = 1 and pstay2 = 1 and pstay3 = 1 and pstay4 = 1 and pstay5 = 1) and (ppstay = 1)).
VARIABLE LABEL filter_$ 'Pupil stays with a family in (PBK#9) but not with a family (PBK#8) '.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pstay1 pstay2 pstay3 pstay4 pstay5 ppstay
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Pupil stays with a family in (PBK#9) but not with a family (PBK#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  PUPIL STAYS WITH NON RELATIVES (PBK#9) BUT NOT  SO IN (PBK#8.2, 8.6-8.8)                                              *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((pstay2 = 1 and pstay6 = 1 and pstay7 = 1 and pstay8 = 1) and (ppstay = 2)).
VARIABLE LABEL filter_$ 'Pupil stays with non relatives in (PBK#9) but not in (PBK#8)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pstay2 pstay6 pstay7 pstay8 ppstay
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Pupil stays with non relatives in (PBK#9) but not in (PBK#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  PUPIL STAYS IN ORPHANAGE OR HOSTEL (PBK#9) BUT NOT  SO IN (PBK#8)                                                   *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((pstay4 = 1 and pstay5 = 1 and pstay7 = 1 and pstay8 = 1 and pstay9 = 1) and (ppstay = 3 or ppstay = 4)).
VARIABLE LABEL filter_$ 'Pupil stays in orphanage or hostel (PBK#9) but not in (PBK#8)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pstay4 pstay5 pstay6 pstay7 pstay8 pstay9 ppstay
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Pupil stays in orphanage or hostel (PBK#9) but not in (PBK#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
* NO ELECTRICITY BUT HAS APPLIANCES REQUIRING ELECTRICITY (PBK#14)                                                     *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((ppos14 = 1 or missing(ppos14) ) and (ppos15=2
  or ppos16=2 or ppos17=2 or ppos18=2 or ppos19=2 or ppos20=2 or 
  ppos24=2 or ppos25=2 or plight=5)).
VARIABLE LABEL filter_$ 'No electricity but have appliances requiring electricity (PBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=pb_D_cas region district school pupil ppos14 ppos15 ppos16 ppos17 ppos18 ppos19 ppos20 ppos24 ppos25 plight
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No electricity but have appliances requiring electricity (PBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  NO COMPUTER (PBK#14.20), TV (PBK#14.23) AND PHONE (PBK#14.31) BUT HAVE INTERNET (PBK#14.21)       *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((ppos20 = 1 and ppos23 = 1and ppos31 = 1) and (ppos21=2)).
VARIABLE LABEL filter_$ 'No computer, tv or phone but have internet (PBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=pb_D_cas region district school pupil ppos20 ppos23 ppos31 ppos21
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No computer, tv or phone but have internet (PBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  ABSENCE 0 OR MISSING (PBK#21) BUT TICKED AT LEAST ONE REASON (PBK#22.1-#22.6)                              *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((pabsent = 0 or missing(pabsent)) and (pabwhy1=2 or pabwhy2=2 or pabwhy3=2 or pabwhy4=2 or
  pabwhy5=2 or pabwhy6=2 )).
VARIABLE LABEL filter_$ 'Absence 0 or missing (PBK#22) but ticked at least one reason (PBK#22.1-#22.6) '.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pabsent pabwhy1 pabwhy2 pabwhy3 pabwhy4 pabwhy5 pabwhy6 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Absence 0 or missing (PBK#20) but ticked at least one reason (PBK#22.1-#22.6)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  NON-ZERO ABSENCE (PBK#21) BUT NO REASON GIVEN (PBK#22.1-#22.6)                                                       *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(pabsent  GT 0 and (pabwhy1 = 1 or missing(pabwhy1)) and (pabwhy2 = 1 or missing(pabwhy2)) and (pabwhy3 = 1 or missing(pabwhy3)) and (pabwhy4 = 1 or missing(pabwhy4)) and (pabwhy5 = 1 or missing(pabwhy5)) and (pabwhy6 = 1 or missing(pabwhy6))).
VARIABLE LABEL filter_$ 'Non-zero absence (PBK#21) but no reason given (PBK#22.1-#22.6)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pabsent pabwhy1 pabwhy2 pabwhy3 pabwhy4 pabwhy5 pabwhy6 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Non-zero absence (PBK#21) but no reason given (PBK#21.1-#21.6)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  NOT REPEATING GRADE 6 (PBK#24) BUT TICKED ONE OF THE REASONS FOR REPETITION (PBK#24.1-#24.4).*
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((prepeat6 =1 or missing(prepeat6)) and (prptwhy1=2 or prptwhy2=2 or  prptwhy3=2 or  prptwhy4=2 )).
VARIABLE LABEL filter_$ 'Not repeating Grade 6 (PBK#24) but ticked one of the reasons for repetition (PK#24.1-#24.4)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil prepeat6 prptwhy1 prptwhy2 prptwhy3 prptwhy4 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Not repeating Grade 6 (PBK#24) but ticked one of the reasons for repetition (PBK#24.1-#24.4)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  REPEATING GRADE 6 (#22) BUT NO REASON WAS TICKED (PBK#24.1-#24.4).                                                  *
*                                                                                                                                                                           *
*******************************************************************************************************************************************
 
USE ALL.
COMPUTE filter_$=(prepeat6 =2 and ((prptwhy1=1 or missing(prptwhy1)) and (prptwhy2=1 or missing(prptwhy2)) and  (prptwhy3=1 or missing(prptwhy3)) and  (prptwhy4=1 or missing(prptwhy4)))).
VARIABLE LABEL filter_$ 'Repeating Grade 6 (PBK#24) but no reason was ticked (PBK#24.1-#24.4)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil prepeat6 prptwhy1 prptwhy2 prptwhy3 prptwhy4 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Repeating Grade 6 (PBK#24) but no reason was ticked (PBK#24.1-#24.4)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************************
*                                                                                                                                                                           *
*  REPEATING GRADE 6 (PBK#24) BUT NEVER REAPTED (PBK#23).                                                                     *
*                                                                                                                                                                           *
*******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(prepeat6 =2 and (prepeat=1 or missing(prepeat)) ).
VARIABLE LABEL filter_$ 'Repeating Grade 6 (PBK#24) but never reapted (PBK#23)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil prepeat6 prepeat
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Repeating Grade 6 (PBK#24) but never repeated (PBK#23)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  CAN NOT BORROW BOOKS FROM ANOTHER KIND OF LIBRARY (PBK#27) BUT TICKED 'YES' FOR ANOTHER KIND OF LIBRARY (PBK#27.1-3).    *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((pborrowo =1 or missing(pborrowo)) and (pborrow1 = 2 or pborrow2 = 2 or pborrow3 = 2)).
VARIABLE LABEL filter_$ 'Can not borrow books from another kind of library but ticket yes (PBK#27)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pborrowo pborrow1 pborrow2 pborrow3
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Can not borrow books but ticked yes for another kind of library (PBK#27)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  HAVE USED A COMPUTER (PBK#31.0) BUT SAID NOWHERE (PBK#31.1-6)                                                                                                           *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************
 
USE ALL.
COMPUTE filter_$=((pcomptr =2 or missing(pcomptr)) and (pcomptw1 = 1 and pcomptw2 = 1 and pcomptw3 = 1 and pcomptw4 = 1 and pcomptw5 = 1 and pcomptw6 = 1)).
VARIABLE LABEL filter_$ 'Have used computer but said nowhere (PBK#31)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pcomptr pcomptw1 pcomptw2 pcomptw3 pcomptw4 pcomptw5 pcomptw6 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Have used computer but said nowhere (PBK#31)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
* SAID HAVE NEVER USED A COMPUTER (PBK#31.0) BUT TICKED SOMEWHERE (PBK#31.1-6)                                                                               *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

MISSING VALUES pcomptw1 TO pcomptw6 (8,9)

USE ALL.
COMPUTE filter_$=((pcomptr =1 or missing(pcomptr)) and (pcomptw1 ~= 1 or pcomptw2 ~= 1 or pcomptw3 ~= 1 or pcomptw4 ~= 1 or pcomptw5 ~= 1 or pcomptw6 ~= 1)).
VARIABLE LABEL filter_$ 'Said have never used computer but ticked somewhere (PBK#31)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil pcomptr pcomptw1 pcomptw2 pcomptw3 pcomptw4 pcomptw5 pcomptw6 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Said have never used computer but ticked somewhere (PBK#31)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  NO HOMEWORK OR MISSING (PBK#49) BUT NO TICK ON "NO HOMEWORK" (PBK#50-52).                                                                                    *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(( phmwk = 1 or missing(phmwk)) and (phmwkhlp ~= 1or phmwkc  ~= 1or phmwks  ~= 1)).
VARIABLE LABEL filter_$ 'No homework or missing (PBK#49) but no tick on "no homework" (PBK#50-52)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phmwk phmwkhlp phmwkc phmwks
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No homework or missing (PBK#49) but no tick on "no homework" (PBK#50-52)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

 

************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  NO TICK ON "NO HOMEWORK" (PBK#49) BUT NO HOMEWORK OR MISSING (PBK#50-52).                                                                                    *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(phmwk ~= 1 and (phmwkhlp = 1 or missing(phmwkhlp) or phmwkc = 1 or missing(phmwkc) or phmwks = 1 or missing(phmwks) )).
VARIABLE LABEL filter_$ 'No tick on "no homework" (PBK#49) but no homework or missing (PBK#50-52)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phmwk phmwkhlp phmwkc phmwks
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No tick on "no homework" (PBK#50) but no homework or missing (PBK#50-52)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  BEST INFORMATION SOURCE (PBK#58) WAS NOT TICKED BEFORE (#57).                                                                                                           *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(phinfobt =  1 and  phinfo01  ~= 2 or 
 phinfobt =  2 and  phinfo02 ~= 2 or 
 phinfobt =  3 and  phinfo03 ~= 2 or 
 phinfobt =  4 and  phinfo04 ~= 2 or 
 phinfobt =  5 and  phinfo05 ~= 2 or 
 phinfobt =  6 and  phinfo06 ~= 2 or 
 phinfobt =  7 and  phinfo07 ~= 2 or 
 phinfobt =  8 and  phinfo08 ~= 2 or 
 phinfobt =  9 and  phinfo09 ~= 2 or 
 phinfobt =  10 and  phinfo10 ~= 2 or 
 phinfobt =  11 and  phinfo11 ~= 2 or 
 phinfobt =  12 and  phinfo12 ~= 2 or 
 phinfobt =  13 and  phinfo13 ~= 2 or 
 phinfobt =  14 and  phinfo14 ~= 2 or 
 phinfobt =  15 and  phinfo15 ~= 2 or 
 phinfobt =  16 and  phinfo16 ~= 2 or 
 phinfobt =  17 and  phinfo17 ~= 2 or 
 phinfobt =  18 and  phinfo18 ~= 2 or 
 phinfobt =  19 and  phinfo19 ~= 2 or 
 phinfobt =  20 and  phinfo20 ~= 2 or
 phinfobt =  21 and  phinfo21 ~= 2 or
 phinfobt =  22 and  phinfo22 ~= 2 or
 phinfobt =  23 and  phinfo23 ~= 2) .
VARIABLE LABEL filter_$ 'Best information source was not ticked before'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phinfobt phinfo01 phinfo02 phinfo03 phinfo04 phinfo05 phinfo06 phinfo07 phinfo08 phinfo09
  phinfo10 phinfo11 phinfo12 phinfo13 phinfo14 phinfo15 phinfo16 phinfo17
  phinfo18 phinfo19 phinfo20 phinfo21  phinfo22 phinfo23
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Best information source was not ticked before'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  BEST LESSON (PBK#65) WAS NOT TICKED BEFORE (PBK#64)                                                                                                                             *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(phclsbt =  1 and  phcls01  ~= 2 or 
 phclsbt =  2 and  phcls02 ~= 2 or 
 phclsbt =  3 and  phcls04 ~= 2 or 
 phclsbt =  4 and  phcls05 ~= 2 or 
 phclsbt =  5 and  phcls06 ~= 2 or 
 phclsbt =  6 and  phcls07 ~= 2 or 
 phclsbt =  7 and  phcls08 ~= 2 or 
 phclsbt =  8 and  phcls09 ~= 2 or 
 phclsbt =  9 and  phcls10 ~= 2 ).
VARIABLE LABEL filter_$ 'Best lesson was not ticked before'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phclsbt phcls01 phcls02  phcls04 phcls05 phcls06 phcls07 phcls08 phcls09 phcls10
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Best activity was not ticked before'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*   ATTENDED HIV CLASSES (PBK#63) BUT HAD SAID DID NOT GET HIV LESSONS IN (PBK#57.13)                                                                           *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(phclshiv = 2 and phinfo13 = 1).
VARIABLE LABEL filter_$ 'Attended HIV classes (PBK#64) but had said did not get HIV lessons (PBK#57.13)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phclshiv phinfo13
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Attended HIV classes (PBK#64) but had said did not get HIV lessons (PBK#57.13'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  TICKED ACTIVITIES (PBK#64) BUT DID NOT ATTENDED HIV CLASSES (PBK#63 OR 57.13)                                                                                     *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((phcls01 = 2 or phcls02 = 2 or  phcls04 = 2 or phcls05 = 2 or phcls06 = 2 or phcls07 = 2 or phcls08 = 2 or phcls09 = 2 or phcls10 = 2 ) and (phclshiv = 1)).
VARIABLE LABEL filter_$ 'Ticked activities (PBK#64) but did not attended HIV classes (PBK#63 or #57.13)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phclshiv phinfo13 phcls01 phcls02  phcls04 phcls05 phcls06 phcls07 phcls08 phcls09 phcls10
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Ticked activities (PBK#64) but did not attended HIV classes (PBK#63 or #57.13'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  DID NOT RECEIVE INFO FROM HIV PERSON (PBK#57.22) BUT LATER SAID PERSON GAVE TALK (PBK#64.6)                                                       *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(phinfo22 = 1 and phcls07 = 2).
VARIABLE LABEL filter_$ 'HIV person gave talk (PBK#64.6) but no information from HIV person (PBK#57.22)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phinfo22 phcls07 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'HIV person gave talk (PBK#64.6) but no information from HIV person (PBK#57.22)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  DID NOT RECEIVE INFO FROM HOSPITAL (PBK#57.14) BUT LATER SAID VISITED HOSPITAL (PBK#64.8)                                                               *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(phinfo14 = 1 and phcls09 = 2).
VARIABLE LABEL filter_$ 'Visited hospital (PBK#64.8) but no information from hospital (PBK#57.14)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phinfo14 phcls09 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Visited hospital (PBK#64.8) but no information from hospital (PBK#57.14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  DID NOT RECEIVE INFO FROM VIDEO OR CINEMA (PBK#57.03 & 57.11) BUT LATER SAID WATCHED VIDEO/FILM (PBK#64.3)                              *                                                                           *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((phinfo03 = 1 and phinfo11 = 1) and (phcls04 = 2)).
VARIABLE LABEL filter_$ 'Watched video/film (PBK#64.3) but received no info from video or cinema (PBK#57.03 & 57.11)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phinfo03 phinfo11 phcls04 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Watched video/film (PBK#64.3) but received no info from video or cinema (PBK#57.03 & 57.11)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************************************************************
*                                                                                                                                                                                                                               *
*  DID NOT RECEIVE INFO FROM TEACHER (PBK#57.15) BUT LATER SAID TEACHER GAVE LESSON (PBK#64.2)                                                     *
*                                                                                                                                                                                                                               *
*************************************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((phinfo15 = 1) and (phcls02 = 2)).
VARIABLE LABEL filter_$ 'Teacher gave lesson (PBK#64.2) but received no info from teacher (PBK#57.15)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas region district school pupil phinfo15 phcls02 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Teacher gave lesson (PBK#64.2) but received no info from teacher (PBK#57.15)'
  /MISSING=VARIABLE
  /CELLS=COUNT .
*************** END **************************** END *************************END ******************************* END ************************************************ .