
*******************************************************************************************************************************
********                                                                                                                       ************************
********       INCONSISTENCIES BETWEEN VARIABLES IN TEACHER BOOKLET          ************************
********                                                                                                                       ************************
********                                                                                                                       ************************
*******************************************************************************************************************************
*******************************************************************************************************************************


*********************************************************************************************************************************
*                                                                                                                                                               *
*    TEACHER IS THERE BUT NO INFORMATION ON CLASS ID                                                                  *
*                                                                                                                                                               *
*********************************************************************************************************************************

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\02_TBK_PARTA_(READ)_XXX_S3_26SEPT2007.sav'.


COMPUTE tb_A_cas = $CASENUM .
VARIABLE LABEL tb_A_cas 'Teacher Booklet Part A Case Number'.
FORMAT tb_A_cas (F8.0).
EXECUTE .

FREQUENCIES
  VARIABLES=trcl6a to tcsz6ddd
 /FORMAT=NOTABLE
  /ORDER=  ANALYSIS .

count clasmis =trcl6a to tcsz6ddd  (missing).

USE ALL.
COMPUTE filter_$=(clasmis = 224).
VARIABLE LABEL filter_$ 'Teacher is there but no information on class ID'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_A_cas region district school teacher trcl6a to tcsz6e
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Teacher is there but no information on class ID'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*********************************************************************************************************************************
*                                                                                                                                                               *
*    G6 CLASSES TICKED BUT # PUPILS MISSING (ID FIELD)                                                                     *
*                                                                                                                                                               *
*********************************************************************************************************************************

USE ALL.
COMPUTE filter_$=
((trcl6a = 2 or tmcl6a = 2 or thcl6a = 2) and missing(tcsz6a) or
 (trcl6b = 2 or tmcl6b = 2 or thcl6b = 2) and missing(tcsz6b) or 
 (trcl6c = 2 or tmcl6c = 2 or thcl6c = 2) and missing(tcsz6c) or 
 (trcl6d = 2 or tmcl6d = 2 or thcl6d = 2) and missing(tcsz6d) or 
(trcl6e = 2 or tmcl6e = 2 or thcl6e = 2) and missing(tcsz6e) or
(trcl6f = 2 or tmcl6f = 2 or thcl6f = 2) and missing(tcsz6f) or
(trcl6g = 2 or tmcl6g = 2 or thcl6g = 2) and missing(tcsz6g) or
(trcl6h = 2 or tmcl6h = 2 or thcl6h = 2) and missing(tcsz6h) or
(trcl6i = 2 or tmcl6i = 2 or thcl6i = 2) and missing(tcsz6i) or
(trcl6j = 2 or tmcl6j = 2 or thcl6j = 2) and missing(tcsz6j) or
(trcl6k = 2 or tmcl6k = 2 or thcl6k = 2) and missing(tcsz6k) or
(trcl6l = 2 or tmcl6l = 2 or thcl6l = 2) and missing(tcsz6l) or
(trcl6m = 2 or tmcl6m = 2 or thcl6m = 2) and missing(tcsz6m) or
(trcl6n = 2 or tmcl6n = 2 or thcl6n = 2) and missing(tcsz6n) or
(trcl6o = 2 or tmcl6o = 2 or thcl6o = 2) and missing(tcsz6o) or
(trcl6p = 2 or tmcl6p = 2 or thcl6p = 2) and missing(tcsz6p) or
(trcl6q = 2 or tmcl6q = 2 or thcl6q = 2) and missing(tcsz6q) or
(trcl6r = 2 or tmcl6r = 2 or thcl6r = 2) and missing(tcsz6r) or
(trcl6s = 2 or tmcl6s = 2 or thcl6s = 2) and missing(tcsz6s) or
(trcl6t = 2 or tmcl6t = 2 or thcl6t = 2) and missing(tcsz6t) or
(trcl6u = 2 or tmcl6u = 2 or thcl6u = 2) and missing(tcsz6u) or
(trcl6v = 2 or tmcl6v = 2 or thcl6v = 2) and missing(tcsz6v) or
(trcl6w = 2 or tmcl6w = 2 or thcl6w = 2) and missing(tcsz6w) or
(trcl6x = 2 or tmcl6x = 2 or thcl6x = 2) and missing(tcsz6x) or
(trcl6y = 2 or tmcl6y = 2 or thcl6y = 2) and missing(tcsz6y) or
(trcl6z = 2 or tmcl6z = 2 or thcl6z = 2) and missing(tcsz6z) or
(trcl6aa = 2 or tmcl6aa = 2 or thcl6aa = 2) and missing(tcsz6aa) or
(trcl6bb = 2 or tmcl6bb = 2 or thcl6bb = 2) and missing(tcsz6bb) or
(trcl6cc = 2 or tmcl6cc = 2 or thcl6cc = 2) and missing(tcsz6cc) or
(trcl6dd = 2 or tmcl6dd = 2 or thcl6dd = 2) and missing(tcsz6dd) or
(trcl6ee = 2 or tmcl6ee = 2 or thcl6ee = 2) and missing(tcsz6ee) or
(trcl6ff = 2 or tmcl6ff = 2 or thcl6ff = 2) and missing(tcsz6ff) or
(trcl6gg = 2 or tmcl6gg = 2 or thcl6gg = 2) and missing(tcsz6gg) or
(trcl6hh = 2 or tmcl6hh = 2 or thcl6hh = 2) and missing(tcsz6hh) or
(trcl6ii = 2 or tmcl6ii = 2 or thcl6ii = 2) and missing(tcsz6ii) or
(trcl6jj = 2 or tmcl6jj = 2 or thcl6jj = 2) and missing(tcsz6jj) or
(trcl6kk = 2 or tmcl6kk = 2 or thcl6kk = 2) and missing(tcsz6kk) or
(trcl6ll = 2 or tmcl6ll = 2 or thcl6ll = 2) and missing(tcsz6ll) or
(trcl6mm = 2 or tmcl6mm = 2 or thcl6mm = 2) and missing(tcsz6mm) or
(trcl6nn = 2 or tmcl6nn = 2 or thcl6nn = 2) and missing(tcsz6nn) or
(trcl6oo = 2 or tmcl6oo = 2 or thcl6oo = 2) and missing(tcsz6oo) or
(trcl6pp = 2 or tmcl6pp = 2 or thcl6pp = 2) and missing(tcsz6pp) or
(trcl6qq = 2 or tmcl6qq = 2 or thcl6qq = 2) and missing(tcsz6qq) or
(trcl6rr = 2 or tmcl6rr = 2 or thcl6rr = 2) and missing(tcsz6rr) or
(trcl6ss = 2 or tmcl6ss = 2 or thcl6ss = 2) and missing(tcsz6ss) or
(trcl6tt = 2 or tmcl6tt = 2 or thcl6tt = 2) and missing(tcsz6tt) or
(trcl6uu = 2 or tmcl6uu = 2 or thcl6uu = 2) and missing(tcsz6uu) or
(trcl6vv = 2 or tmcl6vv = 2 or thcl6vv = 2) and missing(tcsz6vv) or
(trcl6ww = 2 or tmcl6ww = 2 or thcl6ww = 2) and missing(tcsz6ww) or
(trcl6xx = 2 or tmcl6xx = 2 or thcl6xx = 2) and missing(tcsz6xx) or
(trcl6yy = 2 or tmcl6yy = 2 or thcl6yy = 2) and missing(tcsz6yy) or
(trcl6zz = 2 or tmcl6zz = 2 or thcl6zz = 2) and missing(tcsz6zz) or
(trcl6aaa = 2 or tmcl6aaa = 2 or thcl6aaa = 2) and missing(tcsz6aaa) or
(trcl6bbb = 2 or tmcl6bbb = 2 or thcl6bbb = 2) and missing(tcsz6bbb) or
(trcl6ccc = 2 or tmcl6ccc = 2 or thcl6ccc = 2) and missing(tcsz6ccc) or
(trcl6ddd = 2 or tmcl6ddd = 2 or thcl6ddd = 2) and missing(tcsz6ddd) ).
VARIABLE LABEL filter_$ 'Discrepancies between G6 classes and # pupils (ID field)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_A_cas region district school teacher trcl6a to tcsz6ddd
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Discrepancies between G6 classes and # pupils (ID field)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*********************************************************************************************************************************
*                                                                                                                                                               *
*    G6 MISSING BUT # PUPILS VALID (ID FIELD)                                                                                        *
*                                                                                                                                                               *
*********************************************************************************************************************************

USE ALL.
COMPUTE filter_$=
((trcl6a = 1 or missing(trcl6a)) and (tmcl6a = 1 or  missing(tmcl6a)) and (thcl6a=1 or missing(thcl6a)) and tcsz6a gt 0 or
 (trcl6b = 1 or missing(trcl6b)) and (tmcl6b = 1 or missing(tmcl6b)) and  (thcl6b=1 or missing(thcl6b)) and tcsz6b gt 0 or
 (trcl6c = 1 or missing(trcl6c)) and (tmcl6c = 1 or missing(tmcl6c)) and  (thcl6c=1 or missing(thcl6c)) and tcsz6c gt 0 or
 (trcl6d = 1 or missing(trcl6d)) and (tmcl6d = 1 or missing(tmcl6d)) and  (thcl6d=1 or missing(thcl6d)) and tcsz6d gt 0 or
 (trcl6e = 1 or missing(trcl6e)) and (tmcl6e = 1 or missing(tmcl6e)) and (thcl6e = 1 or missing(thcl6e)) and tcsz6e gt 0 or
(trcl6f = 1 or missing(trcl6f)) and (tmcl6f = 1 or missing(tmcl6f)) and (thcl6f = 1 or missing(thcl6f)) and tcsz6f gt 0 or
(trcl6g = 1 or missing(trcl6g)) and (tmcl6g = 1 or missing(tmcl6g)) and (thcl6g = 1 or missing(thcl6g)) and tcsz6g gt 0 or
(trcl6h = 1 or missing(trcl6h)) and (tmcl6h = 1 or missing(tmcl6h)) and (thcl6h = 1 or missing(thcl6h)) and tcsz6h gt 0 or
(trcl6i = 1 or missing(trcl6i)) and (tmcl6i = 1 or missing(tmcl6i)) and (thcl6i = 1 or missing(thcl6i)) and tcsz6i gt 0 or
(trcl6j = 1 or missing(trcl6j)) and (tmcl6j = 1 or missing(tmcl6j)) and (thcl6j = 1 or missing(thcl6j)) and tcsz6j gt 0 or
(trcl6k = 1 or missing(trcl6k)) and (tmcl6k = 1 or missing(tmcl6k)) and (thcl6k = 1 or missing(thcl6k)) and tcsz6k gt 0 or
(trcl6l = 1 or missing(trcl6l)) and (tmcl6l = 1 or missing(tmcl6l)) and (thcl6l = 1 or missing(thcl6l)) and tcsz6l gt 0 or
(trcl6m = 1 or missing(trcl6m)) and (tmcl6m = 1 or missing(tmcl6m)) and (thcl6m = 1 or missing(thcl6m)) and tcsz6m gt 0 or
(trcl6n = 1 or missing(trcl6n)) and (tmcl6n = 1 or missing(tmcl6n)) and (thcl6n = 1 or missing(thcl6n)) and tcsz6n gt 0 or
(trcl6o = 1 or missing(trcl6o)) and (tmcl6o = 1 or missing(tmcl6o)) and (thcl6o = 1 or missing(thcl6o)) and tcsz6o gt 0 or
(trcl6p = 1 or missing(trcl6p)) and (tmcl6p = 1 or missing(tmcl6p)) and (thcl6p = 1 or missing(thcl6p)) and tcsz6p gt 0 or
(trcl6q = 1 or missing(trcl6q)) and (tmcl6q = 1 or missing(tmcl6q)) and (thcl6q = 1 or missing(thcl6q)) and tcsz6q gt 0 or
(trcl6r = 1 or missing(trcl6r)) and (tmcl6r = 1 or missing(tmcl6r)) and (thcl6r = 1 or missing(thcl6r)) and tcsz6r gt 0 or
(trcl6s = 1 or missing(trcl6s)) and (tmcl6s = 1 or missing(tmcl6s)) and (thcl6s = 1 or missing(thcl6s)) and tcsz6s gt 0 or
(trcl6t = 1 or missing(trcl6t)) and (tmcl6t = 1 or missing(tmcl6t)) and (thcl6t = 1 or missing(thcl6t)) and tcsz6t gt 0 or
(trcl6u = 1 or missing(trcl6u)) and (tmcl6u = 1 or missing(tmcl6u)) and (thcl6u = 1 or missing(thcl6u)) and tcsz6u gt 0 or
(trcl6v = 1 or missing(trcl6v)) and (tmcl6v = 1 or missing(tmcl6v)) and (thcl6v = 1 or missing(thcl6v)) and tcsz6v gt 0 or
(trcl6w = 1 or missing(trcl6w)) and (tmcl6w = 1 or missing(tmcl6w)) and (thcl6w = 1 or missing(thcl6w)) and tcsz6w gt 0 or
(trcl6x = 1 or missing(trcl6x)) and (tmcl6x = 1 or missing(tmcl6x)) and (thcl6x = 1 or missing(thcl6x)) and tcsz6x gt 0 or
(trcl6y = 1 or missing(trcl6y)) and (tmcl6y = 1 or missing(tmcl6y)) and (thcl6y = 1 or missing(thcl6y)) and tcsz6y gt 0 or
(trcl6z = 1 or missing(trcl6z)) and (tmcl6z = 1 or missing(tmcl6z)) and (thcl6z = 1 or missing(thcl6z)) and tcsz6z gt 0 or
(trcl6aa = 1 or missing(trcl6aa)) and (tmcl6aa = 1 or missing(tmcl6aa)) and (thcl6aa = 1 or missing(thcl6aa)) and tcsz6aa gt 0 or
(trcl6bb = 1 or missing(trcl6bb)) and (tmcl6bb = 1 or missing(tmcl6bb)) and (thcl6bb = 1 or missing(thcl6bb)) and tcsz6bb gt 0 or
(trcl6cc = 1 or missing(trcl6cc)) and (tmcl6cc = 1 or missing(tmcl6cc)) and (thcl6cc = 1 or missing(thcl6cc)) and tcsz6cc gt 0 or
(trcl6dd = 1 or missing(trcl6dd)) and (tmcl6dd = 1 or missing(tmcl6dd)) and (thcl6dd = 1 or missing(thcl6dd)) and tcsz6dd gt 0 or
(trcl6ee = 1 or missing(trcl6ee)) and (tmcl6ee = 1 or missing(tmcl6ee)) and (thcl6ee = 1 or missing(thcl6ee)) and tcsz6ee gt 0 or
(trcl6ff = 1 or missing(trcl6ff)) and (tmcl6ff = 1 or missing(tmcl6ff)) and (thcl6ff = 1 or missing(thcl6ff)) and tcsz6ff gt 0 or
(trcl6gg = 1 or missing(trcl6gg)) and (tmcl6gg = 1 or missing(tmcl6gg)) and (thcl6gg = 1 or missing(thcl6gg)) and tcsz6gg gt 0 or
(trcl6hh = 1 or missing(trcl6hh)) and (tmcl6hh = 1 or missing(tmcl6hh)) and (thcl6hh = 1 or missing(thcl6hh)) and tcsz6hh gt 0 or
(trcl6ii = 1 or missing(trcl6ii)) and (tmcl6ii = 1 or missing(tmcl6ii)) and (thcl6ii = 1 or missing(thcl6ii)) and tcsz6ii gt 0 or
(trcl6jj = 1 or missing(trcl6jj)) and (tmcl6jj = 1 or missing(tmcl6jj)) and (thcl6jj = 1 or missing(thcl6jj)) and tcsz6jj gt 0 or
(trcl6kk = 1 or missing(trcl6kk)) and (tmcl6kk = 1 or missing(tmcl6kk)) and (thcl6kk = 1 or missing(thcl6kk)) and tcsz6kk gt 0 or
(trcl6ll = 1 or missing(trcl6ll)) and (tmcl6ll = 1 or missing(tmcl6ll)) and (thcl6ll = 1 or missing(thcl6ll)) and tcsz6ll gt 0 or
(trcl6mm = 1 or missing(trcl6mm)) and (tmcl6mm = 1 or missing(tmcl6mm)) and (thcl6mm = 1 or missing(thcl6mm)) and tcsz6mm gt 0 or
(trcl6nn = 1 or missing(trcl6nn)) and (tmcl6nn = 1 or missing(tmcl6nn)) and (thcl6nn = 1 or missing(thcl6nn)) and tcsz6nn gt 0 or
(trcl6oo = 1 or missing(trcl6oo)) and (tmcl6oo = 1 or missing(tmcl6oo)) and (thcl6oo = 1 or missing(thcl6oo)) and tcsz6oo gt 0 or
(trcl6pp = 1 or missing(trcl6pp)) and (tmcl6pp = 1 or missing(tmcl6pp)) and (thcl6pp = 1 or missing(thcl6pp)) and tcsz6pp gt 0 or
(trcl6qq = 1 or missing(trcl6qq)) and (tmcl6qq = 1 or missing(tmcl6qq)) and (thcl6qq = 1 or missing(thcl6qq)) and tcsz6qq gt 0 or
(trcl6rr = 1 or missing(trcl6rr)) and (tmcl6rr = 1 or missing(tmcl6rr)) and (thcl6rr = 1 or missing(thcl6rr)) and tcsz6rr gt 0 or
(trcl6ss = 1 or missing(trcl6ss)) and (tmcl6ss = 1 or missing(tmcl6ss)) and (thcl6ss = 1 or missing(thcl6ss)) and tcsz6ss gt 0 or
(trcl6tt = 1 or missing(trcl6tt)) and (tmcl6tt = 1 or missing(tmcl6tt)) and (thcl6tt = 1 or missing(thcl6tt)) and tcsz6tt gt 0 or
(trcl6uu = 1 or missing(trcl6uu)) and (tmcl6uu = 1 or missing(tmcl6uu)) and (thcl6uu = 1 or missing(thcl6uu)) and tcsz6uu gt 0 or
(trcl6vv = 1 or missing(trcl6vv)) and (tmcl6vv = 1 or missing(tmcl6vv)) and (thcl6vv = 1 or missing(thcl6vv)) and tcsz6vv gt 0 or
(trcl6ww = 1 or missing(trcl6ww)) and (tmcl6ww = 1 or missing(tmcl6ww)) and (thcl6ww = 1 or missing(thcl6ww)) and tcsz6ww gt 0 or
(trcl6xx = 1 or missing(trcl6xx)) and (tmcl6xx = 1 or missing(tmcl6xx)) and (thcl6xx = 1 or missing(thcl6xx)) and tcsz6xx gt 0 or
(trcl6yy = 1 or missing(trcl6yy)) and (tmcl6yy = 1 or missing(tmcl6yy)) and (thcl6yy = 1 or missing(thcl6yy)) and tcsz6yy gt 0 or
(trcl6zz = 1 or missing(trcl6zz)) and (tmcl6zz = 1 or missing(tmcl6zz)) and (thcl6zz = 1 or missing(thcl6zz)) and tcsz6zz gt 0 or
(trcl6aaa = 1 or missing(trcl6aaa)) and (tmcl6aaa = 1 or missing(tmcl6aaa)) and (thcl6aaa = 1 or missing(thcl6aaa)) and tcsz6aaa gt 0 or
(trcl6bbb = 1 or missing(trcl6bbb)) and (tmcl6bbb = 1 or missing(tmcl6bbb)) and (thcl6bbb = 1 or missing(thcl6bbb)) and tcsz6bbb gt 0 or
(trcl6ccc = 1 or missing(trcl6ccc)) and (tmcl6ccc = 1 or missing(tmcl6ccc)) and (thcl6ccc = 1 or missing(thcl6ccc)) and tcsz6ccc gt 0 or
(trcl6ddd = 1 or missing(trcl6ddd)) and (tmcl6ddd = 1 or missing(tmcl6ddd)) and (thcl6ddd = 1 or missing(thcl6ddd)) and tcsz6ddd gt 0) .
VARIABLE LABEL filter_$ 'G6 missing but # pupils valid (ID field)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district school teacher trcl6a to tcsz6e
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'G6 missing but # pupils valid (ID field)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*********************************************************************************************************************************
*                                                                                                                                                               *
*    TEACHER AGE (TBK#2) VERSUS NUMBER OF YEARS TEACHING (TBK#6)                                          *
*                                                                                                                                                               *
*********************************************************************************************************************************

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\02_TBK_PartD_(Qnre)_XXX_S3_26SEPT2007.sav'.


COMPUTE tb_D_cas = $CASENUM .
VARIABLE LABEL tb_D_cas 'Teacher Booklet Part A Case Number'.
FORMAT tb_D_cas (F8.0).
EXECUTE .


COMPUTE tstart_tech = TAGE - TNUMYRS .
EXECUTE .

USE ALL.
COMPUTE filter_$=(tstart_tech < 20).
VARIABLE LABEL filter_$ 'tstart_tech < 20 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher tage tnumyrs
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Discrepancies between teacher age and years teaching (TBK#2 #6)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*********************************************************************************************************************************
*                                                                                                                                                               *
*    NUMBER OF INSERVICE COURSES VERSUS NUMBER OF DAYS IN-SERVICE TRAINING (TBK#7 #8).  *
*                                                                                                                                                               *
*********************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(( tinservc= 0 or missing(tinservc)) and tinservd ~= 0 or tinservc~= 0 and (tinservd=0 or missing(tinservd))).
VARIABLE LABEL filter_$ 'Discrepancies between # courses and # days for in-service (TBK#7 #8)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher tinservc tinservd
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Discrepancies between # courses and # days for in-service (TBK#7 #8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************
*                                                                                                                                                            *
*     NUMBER OF INSERVICE COURSES VERSUS EFFECTIVENESS (TBK#7 #9).                                    *
*                                                                                                                                                            *
*******************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((tinservc= 0 or missing(tinservc)) and tinserve GE 2 or tinservc~= 0 and tinserve=1 ).
VARIABLE LABEL filter_$ 'Discrepancies between # courses and effectiveness (TBK#7 #9)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher tinservc tinserve
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Discrepancies between # courses and effectiveness (TBK#7 #9)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*******************************************************************************************************************************
*                                                                                                                                                            *
*        DAYS OF INSERVICE COURSES VERSUS EFFECTIVENESS (TBK#8 #9).                                      *
*                                                                                                                                                            *
*******************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((tinservd= 0 or missing(tinservd)) and tinserve~= 1 or tinservd~= 0 and tinserve=1 ).
VARIABLE LABEL filter_$ 'Discrepancies between # days and effectiveness (TBK#8 #9)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher tinservd tinserve 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Discrepancies between # days and effectiveness (TBK#8 #9)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


*******************************************************************************************************************************
*                                                                                                                                                            *
*      BORROWING BOOKS FROM CLASS LIBRARY AND CLASS LIBRARY BOOKS (TBK#10 #11).           *
*                                                                                                                                                            *
*******************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((tborrow = 1 and tbookcls ~= 0) or (tborrow ~= 1 and tbookcls  = 0)).
VARIABLE LABEL filter_$ 'Discrepancies between borrowing class library books (TBK#10)and # of books (TBK#11)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher tborrow tbookcls 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Discrepancies between borrowing class library books (TBK#10)and # of books (TBK#11)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
*   BORROWING BOOKS FROM CLASS LIBRARY AND AVAILABILITY OF CLASS LIBRARY (TBK#10 & TBK#12.7). *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(tborrow = 1 and tresclib=2 or tborrow GE 2 and tresclib  ~=2).
VARIABLE LABEL filter_$ 'Discrepancies between borrowing class library books (TBK#10)and availability of class library (TBK#12.7)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher tborrow tresclib 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Discrepancies between borrowing class library books (TBK#10)and availability of class library (TBK#12.7)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
*  NUMBER OF BOOKS IN CLASS LIBRARY AND AVAILABILITY OF CLASS LIBRARY (TBK#11 & TBK#12.7).         *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((tbookcls = 0 or missing(tbookcls)) and (tresclib=2 or tbookcls ~= 0 and tresclib  ~=2)).
VARIABLE LABEL filter_$ 'Discrepancies between # of books (#11)and availability of class library (#13.7)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher tbookcls tresclib 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Discrepancies between # of books (#11)and availability of class library (#13.7)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
*    AVAILABILITY OF EDUCATION RESOURCE CENTRE (TBK#23 & TBK#24).                                                       *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((trcentre  =1 or missing(trcentre)) and trcvisit GE 2 or trcentre=  2 and (trcvisit=1 or missing (trcvisit))).
VARIABLE LABEL filter_$ 'Discrepancies on availability of resource centres (TBK#23 & TBK#24)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher  trcentre  trcvisit
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Discrepancies on availability of resource centres (TBK#23 & TBK#24)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
* EDUCATION RESOURCE CENTRE NOT USED BUT ACTIVITY TICKED (TBK#23 & TBK#24).                                  *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((trcvisit =1 or trcvisit =2 or missing(trcvisit)) and (trcuse1 <= 2 or trcuse2 <= 2 or   trcuse3 <= 2 or trcuse4 <= 2 or trcuse5 <= 2 or trcuse6 <= 2 )).
VARIABLE LABEL filter_$ 'Education resource centre not used but at least one activity was responded (sub-items in TBK#24)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher  trcvisit  trcuse1 TO trcuse6
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Education resource centre not used but at least one activity was responded (sub-items in TBK#24)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
*   EDUCATION RESOURCE CENTRE USED BUT ALL ACTIVITIES TICKED 'NO' OR MISSING (TBK#23 & TBK#24).  *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(trcvisit = 3 and (trcuse1  =1 or missing(trcuse1)) and  (trcuse2  =1 or missing(trcuse2)) and
  (trcuse3  =1 or missing(trcuse3)) and  (trcuse4  =1 or missing(trcuse4)) and  (trcuse5  =1 or missing(trcuse5)) and  (trcuse6  =1 or missing(trcuse6))  ).
VARIABLE LABEL filter_$ 'Education resource centre used but all activities are No or missing (sub-items in TBK#24)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher trcvisit  trcuse1 TO trcuse6
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Education resource centre used but all activities are No or missing (sub-items in TBK#24)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
*       BEST INFO (TBK#35) WAS NOT TICKED BEFORE (TBK#34).                                                                         *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(thinfobt =  1 and  thinfo01  ~= 2 or
  thinfobt =  2 and  thinfo02 ~= 2 or
  thinfobt =  3 and  thinfo03 ~= 2 or
  thinfobt =  4 and  thinfo04 ~= 2 or
  thinfobt =  5 and  thinfo05 ~= 2 or
  thinfobt =  6 and  thinfo06 ~= 2 or
  thinfobt =  7 and  thinfo07 ~= 2 or
  thinfobt =  8 and  thinfo08 ~= 2 or
  thinfobt =  9 and  thinfo09 ~= 2 or
  thinfobt =  10 and  thinfo10 ~= 2 or
  thinfobt =  11 and  thinfo11 ~= 2 or
  thinfobt =  12 and  thinfo12 ~= 2 or
  thinfobt =  13 and  thinfo13 ~= 2 or
  thinfobt =  14 and  thinfo14 ~= 2 or
  thinfobt =  15 and  thinfo15 ~= 2 or
  thinfobt =  16 and  thinfo16 ~= 2 or
  thinfobt =  17 and  thinfo17 ~= 2 or
  thinfobt =  18 and  thinfo18 ~= 2 or
  thinfobt =  19 and  thinfo19 ~= 2 or
  thinfobt =  20 and  thinfo20 ~= 2 or 
  thinfobt =  21 and  thinfo21 ~= 2 or 
  thinfobt =  22 and  thinfo22 ~= 2 or 
  thinfobt =  23 and  thinfo23 ~= 2 or 
  thinfobt =  24 and  thinfo24 ~= 2 ).
VARIABLE LABEL filter_$ 'Best information source was not ticked before'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .


SUMMARIZE
  /TABLES=tb_D_cas region district school teacher thinfobt  thinfo01 TO thinfo24 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'The best information (TBK#35) was not ticked before (TBK#34)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



***************************************************************************************************************************************************
*                                                                                                                                                                                     *
*      DID NOT RECEIVE INFO FROM HIV PERSON (TBK#34.23) BUT LATER SAID PERSON GAVE TALK (TBK#39.07)        *
*                                                                                                                                                                                     *
***************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(thinfo23 = 1 and thcrs07 = 2).
VARIABLE LABEL filter_$ 'HIV person gave talk (TBK#39.07) but no information from HIV person (TBK#34.23)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher thinfo23 thcrs07 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'HIV person gave talk (TBK#39.07) but no information from HIV person (TBK#34.23)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
* DID NOT RECEIVE INFO FROM HOSPITAL (TBK#34.15) BUT LATER SAID VISITED HOSPITAL (TBK#39.09)          *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(thinfo15 = 1 and thcrs09 = 2).
VARIABLE LABEL filter_$ 'Visited hospital but no info from hospital'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher thinfo15 thcrs09 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Visited hospital (TBK#34.15) but no info from hospital (TBK#39.09)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



**************************************************************************************************************************************************************
*                                                                                                                                                                                                   *
* DID NOT RECEIVE INFO VIDEO OR CINEMA (TBK#34.03 & TBK#34.10) BUT LATER SAID WATCHED VIDEO/FILM (TBK#39.04)      *
*                                                                                                                                                                                                   *
**************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((thinfo03 = 1 and thinfo10 = 1) and thcrs04 = 2).
VARIABLE LABEL filter_$ 'Watched video or film (TBK#39.04) but no information from video or cinema (TBK#34.03 & 34.10)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher thinfo03 thinfo10 thcrs04 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Watched video or film (TBK#39.04) but no information from video or cinema (TBK#34.03 & 34.10)'
  /MISSING=VARIABLE
  /CELLS=COUNT .




****************************************************************************************************************************************************************
*                                                                                                                                                                                                      *
* ATTENDED HIV IN-SERVICE COURSES (TBK#38) BUT HAD SAID DID NOT GET INFO FROM IN-SERVICE TRAINING (TBK#34.14)     *
*                                                                                                                                                                                                      *
****************************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(thcrshiv GE 1 and thinfo14 = 1).
VARIABLE LABEL filter_$ 'Attended HIV in-service courses (TBK#38) but had said did not get HIV info from in-service training (TBK#34.14)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher thcrshiv thinfo14
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Attended HIV in-service courses (TBK#38) but had said did not get HIV info from in-service training (TBK#34.14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
* HAVE NOT ATTENDED IN-SERVICE COURSE ON HIV (TBK#38) BUT ACTIVITY TICKED (TBK#39).                        *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((THCRSHIV = 0 or missing(THCRSHIV)) and
 (THCRS01 <= 2 or
  THCRS02 <= 2 or   
  THCRS03 <= 2 or   
  THCRS04 <= 2 or   
  THCRS05 <= 2 or   
  THCRS06 <= 2 or   
  THCRS07 <= 2 or   
  THCRS08 <= 2 or   
  THCRS09 <= 2 or   
  THCRS10 <= 2 or   
  THCRS11 <= 2 or   
  THCRS12 <= 2 or   
  THCRS13 <= 2 or   
  THCRS14 <= 2 )).
VARIABLE LABEL filter_$ 'No in-service HIV course but at least one activity was responded (TBK#39)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher  THCRSHIV THCRS01 TO THCRS14
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'No in-service HIV course but at least one activity was responded (TBK#39)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



*********************************************************************************************************************************************
*                                                                                                                                                                              *
* HAVE ATTENDED IN-SERVICE COURSE ON HIV (TBK#38) BUT ALL ACTIVITY TICKED 'NO' OR MISSING (TBK#39).  *
*                                                                                                                                                                              *
*********************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=( (THCRSHIV GE 1) and
  (THCRS01 = 1 or missing(THCRS01)) and
  (THCRS02 = 1 or missing(THCRS02)) and
  (THCRS03 = 1 or missing(THCRS03)) and
  (THCRS04 = 1 or missing(THCRS04)) and
  (THCRS05 = 1 or missing(THCRS05)) and
  (THCRS06 = 1 or missing(THCRS06)) and
  (THCRS07 = 1 or missing(THCRS07)) and
  (THCRS08 = 1 or missing(THCRS08)) and
  (THCRS09 = 1 or missing(THCRS09)) and
  (THCRS10 = 1 or missing(THCRS10)) and
  (THCRS11 = 1 or missing(THCRS11)) and
  (THCRS12 = 1 or missing(THCRS12)) and
  (THCRS13 = 1 or missing(THCRS13)) and
  (THCRS14 = 1 or missing(THCRS14)) ).
VARIABLE LABEL filter_$ 'Attended in-service HIV course but ticked no to all activities (TBK#39)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher  THCRSHIV THCRS01 TO THCRS14
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Attended in-service HIV course but ticked no to all activities (TBK#39)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
*   BEST COURSE (TBK#39) WAS NOT TICKED BEFORE (TBK#40).                                                                      *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(thcrsbt =  1 and  thcrs01  ~= 2 or
  thcrsbt =  2 and  thcrs02  ~= 2 or
  thcrsbt =  3 and  thcrs03  ~= 2 or
  thcrsbt =  4 and  thcrs04  ~= 2 or
  thcrsbt =  5 and  thcrs05  ~= 2 or
  thcrsbt =  6 and  thcrs06  ~= 2 or
  thcrsbt =  7 and  thcrs07  ~= 2 or
  thcrsbt =  8 and  thcrs08  ~= 2 or
  thcrsbt =  9 and  thcrs09  ~= 2 or
  thcrsbt =  10 and  thcrs10  ~= 2 or
  thcrsbt =  11 and  thcrs11  ~= 2 or
  thcrsbt =  12 and  thcrs12  ~= 2 or
  thcrsbt =  13 and  thcrs13  ~= 2 or
  thcrsbt =  14 and  thcrs14  ~= 2   ).
VARIABLE LABEL filter_$ 'Best information course was not ticked before'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_D_cas region district school teacher THCRSBT thcrs01  TO thcrs14  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'The best course (#39) was not ticked before (#40)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************
*                                                                                                                                                                          *
*       NO ACCESS TO COMPUTER (TBK#14.16) BUT HAVE ACCESS TO INTERNET (TBK#14.17)                            *
*                                                                                                                                                                          *
******************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((trescomp = 1 or missing(trescomp)) and tresint = 2).
VARIABLE LABEL filter_$ 'No computer but have access to internet (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas region district school teacher TRESCOMP TRESINT
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No computer but have access to internet (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .




********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES IN TEACHER SEX                                                                                                     *
*                                                                                                                                                             *
********************************************************************************************************************************

compute idschool=school.
formats idschool (F9.0).

compute idteacher=idschool*1000+teacher.
formats idteacher (F13.0).
EXE.

FILTER OFF.
USE ALL.
SELECT IF(idteacher  >= 1).
EXECUTE .


SORT CASES BY
  idteacher (A) .


save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_sex_temp1.sav' 
  /keep idschool idteacher tsex tb_D_cas .



***GET TEACHER HEALTH TEST DATA****

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\02_TBK_PARTB_(Hlth)_XXX_S3_26SEPT2007.SAV'.

COMPUTE tb_A_cas = $CASENUM .
VARIABLE LABEL tb_A_cas 'Teacher Booklet Part A Case Number'.
FORMAT tb_A_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idteacher=idschool*1000+teacher.
formats idteacher (F13.0).
EXE.


FILTER OFF.
USE ALL.
SELECT IF(idteacher  >= 1).
EXECUTE .

SORT CASES BY
  idteacher (A) .


save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_sex_temp2.sav' 
  /keep idschool idteacher idtsex tb_A_cas .



****MERGING*********************

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_sex_temp1.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_sex_temp2.sav'
 /BY idteacher.
EXECUTE.


USE ALL.
COMPUTE filter_$=(tsex ~= idtsex).
VARIABLE LABEL filter_$ 'Sex discrepancies'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=tb_A_cas tb_D_cas idschool idteacher tsex idtsex
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Sex discrepancies'
  /MISSING=VARIABLE
  /CELLS=COUNT .
*************** END **************************** END *************************END ******************************* END ******* .