
******************************************************************************************************************************************
********                                                                                                                                     ************************
********       INCONSISTENCIES BETWEEN VARIABLES IN SCHOOL INFOMATION BOOKLET     ************************
********                                                                                                                                     ************************
********                                                                                                                                     ************************
******************************************************************************************************************************************
******************************************************************************************************************************************

***********************************************************************************************************************************
*                                                                                                                                                                  *
*      CHECK FOR NUMBER OF TEACHERS (SIB#2)                                                                                      *
*                                                                                                                                                                  *
************************************************************************************************************************************

* Must be: stchpm+stchtm+stchpf+stchtf=stchtot1.

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\SchoolInformationBooklet\06_SIBK_NAM_S3_26SEPT2007.SAV'.

COMPUTE sibk_cas = $CASENUM .
VARIABLE LABEL sibk_cas 'School Information Booklet Case Number'.
FORMAT sibk_cas (F8.0).
EXECUTE .

RECODE stchpm to stchtot1 (missing=0).
EXECUTE.

USE ALL.
COMPUTE filter_$=(stchpm + stchtm + stchpf + stchtf ~=  stchtot1).
VARIABLE LABEL filter_$ ='Agreement between sub-elements and the total for # of teachers (SIB#2)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=sibk_cas region district school stchpm to stchtot1 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Agreement between sub-elements and the total for # of teachers (SIB#2)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


***********************************************************************************************************************************
*                                                                                                                                                                  *
*      CHECK FOR NUMBER OF TEACHERS (SIB#3)                                                                                      *
*                                                                                                                                                                  *
************************************************************************************************************************************

* Must be: stchprim + stchjsec + stchssec + stchalev + stchtert = stchtot2.


RECODE stchprim to stchtot2 (missing=0).
USE ALL.
COMPUTE filter_$=(stchprim + stchjsec + stchssec + stchalev + stchtert ~= stchtot2).
VARIABLE LABEL filter_$ ='Agreement between sub-elements and the total for # of teachers (SIB#3)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=sibk_cas region district school stchprim to stchtot2 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Agreement between sub-elements and the total for # of teachers (#3)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


***********************************************************************************************************************************
*                                                                                                                                                                  *
*      CHECK FOR NUMBER OF TEACHERS (SIB#4)                                                                                      *
*                                                                                                                                                                  *
************************************************************************************************************************************

* Must be: stchnott +stchshor +stch1yr +stch2yr +stch3yr+ stchmore =stchtot3.

RECODE stchnott to stchtot3 (missing=0).
USE ALL.
COMPUTE filter_$=(stchnott +stchshor +stch1yr +stch2yr +stch3yr+ stchmore ~= stchtot3).
VARIABLE LABEL filter_$ ='Agreement between sub-elements and the total for # of teachers (SIB#4)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=sibk_cas region district school stchnott to stchtot3 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Agreement between sub-elements and the total for # of teachers (#4)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


***********************************************************************************************************************************
*                                                                                                                                                                  *
*      CHECK FOR NUMBER OF TEACHERS (SIB#5)                                                                                      *
*                                                                                                                                                                  *
************************************************************************************************************************************


* Must be: stmabs1a +stmabs1o= stmabs1t .
* Must be: stmabs2a +stmabs2o =stmabs2t .
* Must be: stmabs3a +stmabs3o =  stmabs3t .
* Must be: stmabs4a +stmabs4o =stmabs4t .
* Must be: stmabs5a +stmabs5o =stmabs5t .
* Must be: stmabs1t+stmabs2t +stmabs3t +stmabs4t +stmabs5t=stmabstt.
* *Must be:   stmabstt+stmnabst =stchpm + stchtm.
* Must be: stfabs1a+ stfabs1o =stfabs1t .
* Must be: stfabs2a+ stfabs2o= stfabs2t .
* Must be: stfabs3a + stfabs3o =stfabs3t .
* Must be: stfabs4a+ stfabs4o= stfabs4t .
* Must be: stfabs5a+ stfabs5o =stfabs5t.
* Must be: stfabs1t+ stfabs2t+stfabs3t+stfabs4t+stfabs5t=stfabstt .
* *Must be: stfabstt+stfnabst =stchpf + stchtf.

* Must be: stmabstt+stmnabst +stfabstt+stfnabst =stchtot4. 




RECODE stmabs1a to stchtot4  (missing=0).
USE ALL.
COMPUTE filter_$=(stmabs1a +stmabs1o~= stmabs1t or stmabs2a +stmabs2o ~=  stmabs2t or stmabs3a +stmabs3o ~= stmabs3t or stmabs4a +stmabs4o ~= stmabs4t
  or stmabs5a +stmabs5o ~= stmabs5t or stmabs1t+stmabs2t +stmabs3t +stmabs4t +stmabs5t~= stmabstt or stmabstt+stmnabst ~= stchpm + stchtm or stfabs1a+ stfabs1o ~=
  stfabs1t or stfabs2a+ stfabs2o~= stfabs2t or stfabs3a + stfabs3o ~= stfabs3t  or stfabs4a+ stfabs4o~= stfabs4t or stfabs5a+ stfabs5o ~= stfabs5t or
  stfabs1t+ stfabs2t+stfabs3t+stfabs4t+stfabs5t~= stfabstt or stfabstt +stfnabst ~= stchpf + stchtf or stmabstt+stmnabst +stfabstt+stfnabst ~= stchtot4).
VARIABLE LABEL filter_$ ='Agreement between sub-elements and the total for # of teachers (SIB#5)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=sibk_cas region district school stchpm stchtm stchpf  stchtf stmabs1a to stchtot4  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Agreement between sub-elements and the total for # of teachers (SIB#5)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



***********************************************************************************************************************************
*                                                                                                                                                                  *
*      CHECK FOR TOTAL NUMBER OF TEACHERS (SIB#2, 3, 4 & 5)                                                              *
*                                                                                                                                                                  *
************************************************************************************************************************************



* Agreement between all the totals for # of teachers (#2 #3 #4 #5).
* Must be: stchtot1 =stchtot2.
* Must be: stchtot1 =stchtot3.
* Must be: stchtot1 =stchtot4.
* Must be: stchtot2= stchtot3 .
* Must be: stchtot2= stchtot4 .
* Must be: stchtot3=stchtot4.



RECODE stchtot1 stchtot2 stchtot3 stchtot4  (missing=0).

USE ALL.
COMPUTE filter_$=(stchtot1 ~=stchtot2 or stchtot1 ~=stchtot3 or stchtot1 ~=stchtot4 or stchtot2~= stchtot3   or  stchtot2~= stchtot4  or stchtot3~=stchtot4).
VARIABLE LABEL filter_$ = ='Agreement between all the totals for # of teachers (SIB#2 #3 #4 #5)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=sibk_cas region district school stchtot1 stchtot2 stchtot3 stchtot4
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Agreement between all the totals for # of teachers (SIB#2 #3 #4 #5)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


***********************************************************************************************************************************
*                                                                                                                                                                  *
*      CHECK FOR SCHOOL ENROLMENT (SIB#9 & SIB#12)                                                                           *
*                                                                                                                                                                  *
************************************************************************************************************************************


* Must be: spupboy +spupgirl  = ssess1p + ssess2p+  ssess3p + ssess4p + ssess5p .


RECODE spupboy spupgirl  ssess1p  ssess2p  ssess3p  ssess4p  ssess5p   (missing=0).

USE ALL.
COMPUTE filter_$=(spupboy +spupgirl  ~= ssess1p + ssess2p+  ssess3p + ssess4p + ssess5p ).
VARIABLE LABEL filter_$ ='Agreement for school enrolment (SIB#9 #12)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=sibk_cas region district school spupboy spupgirl  ssess1p  ssess2p  ssess3p  ssess4p  ssess5p  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Agreement for school enrolment (#7 #11)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



***********************************************************************************************************************************
*                                                                                                                                                                  *
*      AGREEMENT BETWEEN #TEACHERS GIVING HIV LESSONS & #TEACHER TRAINED (SIB#6, 7.1 & 8)   *
*                                                                                                                                                                  *
************************************************************************************************************************************

*Must be: sleshiv2 <= sleshiv1
*Must be sleshiv2 <= sspechiv

USE ALL.
COMPUTE filter_$=(sleshiv2 > sleshiv1 OR sleshiv2 > sspechiv).
VARIABLE LABEL filter_$ ='Agreement for # teachers (SIB#6, SIB#7.1 & SIB#8)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=sibk_cas region district school sleshiv1 sspechiv sleshiv2
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Agreement for # of classes in school (SIB#6, SIB#7.1 & SIB#8)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


***********************************************************************************************************************************
*                                                                                                                                                                  *
*      LAST FULL INSPECTION WAS 2006 OR AFTER (SIB#13) BUT NO VISIT SINCE 2006 OR MISSING (#14).  *
*                                                                                                                                                                  *
************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=(syrinsp   >= 6 and (sins2006 = 0 or missing(sins2006))).
VARIABLE LABEL filter_$ 'Last full inspection was 2006 or after (SIB#13) but no visit since 2006 or missing (SIB#14)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=sibk_cas region district school syrinsp sins2006 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE= 'Last full inspection was 2006 or after (SIB#13) but no visit since 2006 or missing (SIB#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

************ END ********** END ************** END ******************* END *************************************** .