
*******************************************************************************************************************************
*********                                                                                                                       ***********************
*********       CONSISTENCIES BETWEEN PUPIL BOOKLET  & PUPIL NAME FORM       ***********************
*********                                                                                                                       ***********************
**********                                                                                                                      ***********************
*******************************************************************************************************************************
*******************************************************************************************************************************


***GET PUPIL QUESTIONAIRE****

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\01_PBK_PARTD_(Qnre)_NAM_S3_26SEPT2007.SAV'.


COMPUTE pb_D_cas = $CASENUM .
VARIABLE LABEL pb_D_cas 'Pupil Booklet Part D Record Number'.
FORMAT pb_D_cas (F8.0).
EXECUTE .


compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

compute bday =pbday*10000+pbmonth*100+pbyear .
formats bday (F6.0).
EXE.

string sex (A1).
if psex=1 sex="B".
if psex=2 sex="G".


FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .


SORT CASES BY
  idpupil (A) .


RENAME VARIABLES (idppt=idppt_d).
EXECUTE.


save OUTFILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\pbktemp1.sav' 
  /keep pb_D_cas idschool idpupil idppt_d bday pbday pbmonth pbyear sex pmalive pfalive pabsent pabwhy1 pabwhy2 pabwhy3 pabwhy4 pabwhy5 pabwhy6  .


****GET PUPIL READING TEST****

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\01_PBK_PARTA_(Read)_NAM_S3_26SEPT2007.SAV'.

COMPUTE pb_A_cas = $CASENUM .
VARIABLE LABEL pb_A_cas 'Pupil Booklet Part A Record Number'.
FORMAT pb_A_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

string class (A4).
IF pclass=1 class="6A".
IF pclass=2 class="6B".
IF pclass=3 class="6C".
IF pclass=4 class="6D".
IF pclass=5 class="6E".
IF pclass=6 class="6F".
IF pclass=7 class="6G".
IF pclass=8 class="6H".
IF pclass=9 class="6I".
IF pclass=10 class="6J".
IF pclass=11 class="6K".
IF pclass=12 class="6L".
IF pclass=13 class="6M".
IF pclass=14 class="6N".
IF pclass=15 class="6O".
IF pclass=16 class="6P".
IF pclass=17 class="6Q".
IF pclass=18 class="6R".
IF pclass=19 class="6S".
IF pclass=20 class="6T".
IF pclass=21 class="6U".
IF pclass=22 class="6V".
IF pclass=23 class="6W".
IF pclass=24 class="6X".
IF pclass=25 class="6Y".
IF pclass=26 class="6Z".
IF pclass=27 class="6AA".
IF pclass=28 class="6BB".
IF pclass=29 class="6CC".
IF pclass=30 class="6DD".
IF pclass=31 class="6EE".
IF pclass=32 class="6FF".
IF pclass=33 class="6GG".
IF pclass=34 class="6HH".
IF pclass=35 class="6II".
IF pclass=36 class="6JJ".
IF pclass=37 class="6KK".
IF pclass=38 class="6LL".
IF pclass=39 class="6MM".
IF pclass=40 class="6NN".
IF pclass=41 class="6OO".
IF pclass=42 class="6PP".
IF pclass=43 class="6QQ".
IF pclass=44 class="6RR".
IF pclass=45 class="6SS".
IF pclass=46 class="6TT".
IF pclass=47 class="6UU".
IF pclass=48 class="6VV".
IF pclass=49 class="6WW".
IF pclass=50 class="6XX".
IF pclass=51 class="6YY".
IF pclass=52 class="6ZZ".
IF pclass=53 class="6AAA".
IF pclass=54 class="6BBB".
IF pclass=55 class="6CCC".
IF pclass=56 class="6DDD".

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .


SORT CASES BY
  idpupil (A) .

RENAME VARIABLES (idppt=idppt_a).
EXECUTE.


save OUTFILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\pbktemp2.sav' 
  /keep pb_A_cas idschool idppt_a idpupil class .



***GET PUPIL HEALTH TEST DATA****

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\01_PBK_PARTB_(Hlth)_NAM_S3_26SEPT2007.SAV'.

COMPUTE pb_B_cas = $CASENUM .
VARIABLE LABEL pb_B_cas 'Pupil Booklet Part B Record Number'.
FORMAT pb_B_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

string idsex (A1).
if idpsex=1 idsex="B".
if idpsex=2 idsex="G".


FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .


SORT CASES BY
  idpupil (A) .



RENAME VARIABLES (idppt=idppt_b).
EXECUTE.


save OUTFILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\pbktemp3.sav' 
  /keep pb_B_cas idschool idpupil idppt_b idsex .



****GET PNF DATA**********

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\05_Pnf_NAM_S3_26Sept2007.SAV'.

COMPUTE pnf_cas = $CASENUM .
VARIABLE LABEL pnf_cas 'Pupil Name Form Record Number'.
FORMAT pnf_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+ pfpupil.
formats idpupil (f13.0).

compute pfclass=ltrim(upcase(pfclass)).

compute pfsex=upcase(pfsex).

compute pdfather=ltrim(upcase(pdfather)).
compute pdmother=ltrim(upcase(pdmother)).

RECODE
  PDFATHER PDMOTHER
  ('Y'=1)  ('N'=2)  INTO  plfather  plmother .
EXECUTE .

VALUE LABELS plfather plmother 1  "Not alive" 2  "Alive"  /.
EXECUTE.

FORMAT plfather  plmother  (F1.0).
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .


SORT CASES BY
  idpupil (A) .

save OUTFILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav' 
  /keep pnf_cas idschool idpupil pfclass pfbirth pfsex pfabsent pfquest pfread pfmath pfhiv  plfather  plmother  .



********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES IN PUPIL DATE OF BIRTH                                                                                         *
*                                                                                                                                                             *
********************************************************************************************************************************

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\pbktemp1.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav'
 /BY idpupil.
EXECUTE.

USE ALL.
COMPUTE filter_$=(bday ~= pfbirth).
VARIABLE LABEL filter_$ 'Birthday discrepancies'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas pnf_cas idschool idpupil  pbday pbmonth pbyear pfbirth
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Birthday discrepancies'
  /MISSING=VARIABLE
  /CELLS=COUNT .



********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES IN PUPIL SEX                                                                                                           *
*                                                                                                                                                             *
********************************************************************************************************************************

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\pbktemp1.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\pbktemp3.sav'
 /BY idpupil.
EXECUTE.


MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav'
 /BY idpupil.
EXECUTE.


USE ALL.
COMPUTE filter_$=(sex ~= pfsex OR sex ~= idsex OR pfsex ~= idsex).
VARIABLE LABEL filter_$ 'Sex discrepancies'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas pb_B_cas pnf_cas idschool idpupil sex pfsex idsex 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Sex discrepancies'
  /MISSING=VARIABLE
  /CELLS=COUNT .



********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES IN PUPIL CLASS                                                                                                       *
*                                                                                                                                                             *
********************************************************************************************************************************

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\pbktemp2.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav'
 /BY idpupil.
EXECUTE.

USE ALL.
COMPUTE filter_$=(class ~= pfclass ).
VARIABLE LABEL filter_$ 'Class discrepancies'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_A_cas pnf_cas idschool idpupil class pfclass 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Class discrepancies'
  /MISSING=VARIABLE
  /CELLS=COUNT .



********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES IN DAYS ABSENT                                                                                                     *
*                                                                                                                                                             *
********************************************************************************************************************************

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\pbktemp1.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav'
 /BY idpupil.
EXECUTE.

USE ALL.
COMPUTE filter_$=(pabsent ~= pfabsent ).
VARIABLE LABEL filter_$ 'Absence discrepancies'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas pnf_cas idschool idpupil pabsent  pfabsent 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Absence Discrepancies'
  /MISSING=VARIABLE
  /CELLS=COUNT .



********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES BIOLOGICAL MOTHER & FATHER ALIVE                                                                   *
*                                                                                                                                                             *
********************************************************************************************************************************

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\pbktemp1.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav'
 /BY idpupil.
EXECUTE.

USE ALL.
COMPUTE filter_$=(pmalive ~= plmother OR pfalive ~= plfather ).
VARIABLE LABEL filter_$ 'Discrepancies in parents alive'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas pnf_cas idschool idpupil pmalive plmother pfalive plfather 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies in parents alive'
  /MISSING=VARIABLE
  /CELLS=COUNT .



********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES IN PUPIL QUESTIONAIRE PARTICIPATION                                                                *
*                                                                                                                                                             *
********************************************************************************************************************************

***GET PUPIL QUESTIONAIRE****

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\01_PBK_PARTD_(Qnre)_NAM_S3_26SEPT2007.SAV'.

COMPUTE pb_D_cas = $CASENUM .
VARIABLE LABEL pb_D_cas 'Pupil Booklet Part D Record Number'.
FORMAT pb_D_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

sort cases by idpupil (a).

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .


MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav'
 /BY idpupil.
EXECUTE.

count pqmis = PBDAY TO PMEALSCH, PEXTENG TO PHCLSBT  (MISSING)  .
  EXECUTE .


* QUESTIONNAIRE PARTICIPATION IS 'NO' BUT PUPIL QUESTIONNAIRE INFORMATION IS THERE.

USE ALL.
COMPUTE filter_$=(pfquest = "N" and pqmis ~=216).
VARIABLE LABEL filter_$ 'Questionnaire Participation is No but Pupil questionnaire information are there'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas pnf_cas idpupil idppt pfquest pbday to phclsbt 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Questionnaire Participation is No but Pupil questionnaire information are there'
  /MISSING=VARIABLE
  /CELLS=COUNT .



* QUESTIONNAIRE PARTICIPATION IS 'YES' BUT NO INFORMATION ON PUPIL QUESTIONS.

USE ALL.
COMPUTE filter_$=(pfquest = "Y" and pqmis = 216).
VARIABLE LABEL filter_$ 'Questionnaire Participation is Yes but no information on pupil questions'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_D_cas pnf_cas idpupil idppt pfquest pbday to phclsbt 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Questionnaire Participation is Yes but no information on pupil questions'
  /MISSING=VARIABLE
  /CELLS=COUNT .



********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES IN PUPIL READING TEST  PARTICIPATION                                                                *
*                                                                                                                                                             *
********************************************************************************************************************************

***GET PUPIL READING TEST DATA****

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\01_PBK_PARTA_(Read)_NAM_S3_26SEPT2007.SAV'.

COMPUTE pb_A_cas = $CASENUM .
VARIABLE LABEL pb_A_cas 'Pupil Booklet Part A Record Number'.
FORMAT pb_A_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

sort cases by idpupil (a).

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .


MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav'
 /BY idpupil.
EXECUTE.

count prmis= pread01 pread02 pread03 pread04 pread05 pread06 pread07 pread08 pread09
  pread10 pread11 pread12 pread13  pread14 pread15 pread16 pread17
  pread18 pread19 pread20 pread21 pread22 pread23 pread24 pread25 pread26
  pread27  pread28 pread29 pread30 pread31 pread32 pread33 pread34
  pread35 pread36 pread37 pread38 pread39 pread40 pread41 pread42 pread43
   pread44 pread45 pread46 pread47 pread48 pread49 pread50 TO pread55 (missing).
EXECUTE.


* READING TEST PARTICIPATION IS 'NO' BUT READING TEST INFORMATION IS THERE.

USE ALL.
COMPUTE filter_$=(pfread = "N" and prmis ~=55).
VARIABLE LABEL filter_$ 'Reading Test Participation is No but Reading Test information are there'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_A_cas pnf_cas idpupil idppt pfread pread01 pread02 pread03 pread04 pread05 pread06
  pread07 pread08 pread09 pread10 pread11 pread12 pread13 pread14 pread15
  pread16 pread17 pread18 pread19 pread20 pread21 pread22 pread23 pread24
  pread25 pread26 pread27 pread28 pread29 pread30 pread31 pread32 pread33
  pread34 pread35 pread36 pread37 pread38 pread39 pread40 pread41 pread42
  pread43 pread44 pread45 pread46 pread47 pread48 pread49 pread50 to pread55 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Reading Test Participation is No but Reading Test information are there'
  /MISSING=VARIABLE
  /CELLS=COUNT .



* READING TEST PARTICIPATION IS 'YES' BUT NO INFORMATION ON PUPIL READING.

USE ALL.
COMPUTE filter_$=(pfread = "Y" and prmis = 55).
VARIABLE LABEL filter_$ 'Reading Test Participation is Yes but no information on pupil reading'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


SUMMARIZE
  /TABLES=pb_A_cas pnf_cas idpupil idppt pfread pread01 pread02 pread03 pread04 pread05 pread06
  pread07 pread08 pread09 pread10 pread11 pread12 pread13 pread14 pread15
  pread16 pread17 pread18 pread19 pread20 pread21 pread22 pread23 pread24
  pread25 pread26 pread27 pread28 pread29 pread30 pread31 pread32 pread33
  pread34 pread35 pread36 pread37 pread38 pread39 pread40 pread41 pread42
  pread43 pread44 pread45 pread46 pread47 pread48 pread49 pread50 TO pread55
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Reading Test Participation is Yes but no information on pupil reading'
  /MISSING=VARIABLE
  /CELLS=COUNT .



********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES IN PUPIL MATHS TEST  PARTICIPATION                                                                   *
*                                                                                                                                                             *
********************************************************************************************************************************

***GET PUPIL MATHS TEST DATA****

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\01_PBK_PARTC_(Math)_NAM_S3_26SEPT2007.SAV'.

COMPUTE pb_C_cas = $CASENUM .
VARIABLE LABEL pb_C_cas 'Pupil Booklet Part C Record Number'.
FORMAT pb_C_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .

sort cases by idpupil (a).



MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav'
 /BY idpupil.
EXECUTE.


count pmmis= pmath01 pmath02 pmath03 pmath04 pmath05 pmath06 pmath07 pmath08 pmath09
  pmath10 pmath11  pmath12 pmath13 pmath14 pmath15 pmath16 pmath17
  pmath18 pmath19 pmath20 pmath21 pmath22 pmath23 pmath24  pmath25
  pmath26 pmath27 pmath28 pmath29 pmath30 pmath31 pmath32 pmath33 pmath34
  pmath35 pmath36 pmath37 pmath38  pmath39 pmath40 pmath41 pmath42
  pmath43 pmath44 pmath45 pmath46 pmath47 pmath48 pmath49 (missing).



* MATH TEST PARTICIPATION IS NO BUT MATH TEST INFORMATION IS THERE.

USE ALL.
COMPUTE filter_$=(pfmath = "N" and pmmis ~=49).
VARIABLE LABEL filter_$ 'Math Test Participation is No but Math Test information are there'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_C_cas pnf_cas idpupil idppt pfmath pmath01 pmath02 pmath03 pmath04 pmath05 pmath06
  pmath07 pmath08 pmath09 pmath10 pmath11 pmath12 pmath13 pmath14 pmath15
  pmath16 pmath17 pmath18 pmath19 pmath20 pmath21 pmath22 pmath23 pmath24
  pmath25 pmath26 pmath27 pmath28 pmath29 pmath30 pmath31 pmath32 pmath33
  pmath34 pmath35 pmath36 pmath37 pmath38 pmath39 pmath40 pmath41 pmath42
  pmath43 pmath44 pmath45 pmath46 pmath47 pmath48 pmath49 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Math Test Participation is No but Math Test information are there'
  /MISSING=VARIABLE
  /CELLS=COUNT .



* MATH TEST PARTICIPATION IS YES BUT NO INFORMATION ON PUPIL MATH.

USE ALL.
COMPUTE filter_$=(pfmath = "Y" and pmmis = 49).
VARIABLE LABEL filter_$ 'Math Test Participation is Yes but no information on pupil math'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_C_cas pnf_cas idpupil idppt pfmath pmath01 pmath02 pmath03 pmath04 pmath05 pmath06
  pmath07 pmath08 pmath09 pmath10 pmath11 pmath12 pmath13 pmath14 pmath15
  pmath16 pmath17 pmath18 pmath19 pmath20 pmath21 pmath22 pmath23 pmath24
  pmath25 pmath26 pmath27 pmath28 pmath29 pmath30 pmath31 pmath32 pmath33
  pmath34 pmath35 pmath36 pmath37 pmath38 pmath39 pmath40 pmath41 pmath42
  pmath43 pmath44 pmath45 pmath46 pmath47 pmath48 pmath49 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Math Test Participation is Yes but no information on pupil math'
  /MISSING=VARIABLE
  /CELLS=COUNT .




********************************************************************************************************************************
*                                                                                                                                                             *
*  DISCREPANCIES IN PUPIL HEALTH TEST  PARTICIPATION                                                                   *
*                                                                                                                                                             *
********************************************************************************************************************************

***GET PUPIL HEALTH TEST DATA****

GET
  FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilBooklet\01_PBK_PARTB_(Hlth)_NAM_S3_26SEPT2007.SAV'.

COMPUTE pb_B_cas = $CASENUM .
VARIABLE LABEL pb_B_cas 'Pupil Booklet Part B Record Number'.
FORMAT pb_B_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

sort cases by idpupil (a).

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .


MATCH FILES /FILE=*
 /FILE='C:\SACMEQIII\DataCleaning\Data\NAM\KhomasRegion\Step04-DoubleEntryChecked\PupilNameForm\pnftemp.sav'
 /BY idpupil.
EXECUTE.


count phmis= phlth01 phlth02 phlth03 phlth04 phlth05 phlth06 phlth07 phlth08 phlth09 phlth10 
          phlth11 phlth12 phlth13 phlth14 phlth15 phlth16 phlth17 phlth18 phlth19 phlth20 phlth21 
          phlth22 phlth23 phlth24 phlth25 phlth26 phlth27 phlth28 phlth29 phlth30 phlth31 phlth32 
          phlth33 phlth34 phlth35 phlth36 phlth37 phlth38 phlth39 phlth40 phlth41 phlth42 phlth43 
          phlth44 phlth45 phlth46 phlth47 phlth48 phlth49 phlth50 phlth51 phlth52 phlth53 phlth54 
          phlth55 phlth56 phlth57 phlth58 phlth59 phlth60 phlth61 phlth62 phlth63 phlth64 phlth65 
          phlth66 phlth67 phlth68 phlth69 phlth70 phlth71 phlth72 phlth73 phlth74 phlth75 phlth76 
          phlth77 phlth78 phlth79 phlth80 phlth81 phlth82 phlth83 phlth84 phlth85 phlth86 (missing).



* HEALTH TEST PARTICIPATION IS NO BUT HEALTH TEST INFORMATION IS THERE.

USE ALL.
COMPUTE filter_$=(pfhiv = "N" and phmis ~=86).
VARIABLE LABEL filter_$ 'Health Test Participation is No but Math Test information are there'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_B_cas pnf_cas idpupil idppt pfhiv phlth01 phlth02 phlth03 phlth04 phlth05 phlth06 phlth07 phlth08 phlth09 phlth10 
          phlth11 phlth12 phlth13 phlth14 phlth15 phlth16 phlth17 phlth18 phlth19 phlth20 phlth21 
          phlth22 phlth23 phlth24 phlth25 phlth26 phlth27 phlth28 phlth29 phlth30 phlth31 phlth32 
          phlth33 phlth34 phlth35 phlth36 phlth37 phlth38 phlth39 phlth40 phlth41 phlth42 phlth43 
          phlth44 phlth45 phlth46 phlth47 phlth48 phlth49 phlth50 phlth51 phlth52 phlth53 phlth54 
          phlth55 phlth56 phlth57 phlth58 phlth59 phlth60 phlth61 phlth62 phlth63 phlth64 phlth65 
          phlth66 phlth67 phlth68 phlth69 phlth70 phlth71 phlth72 phlth73 phlth74 phlth75 phlth76 
          phlth77 phlth78 phlth79 phlth80 phlth81 phlth82 phlth83 phlth84 phlth85 phlth86 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Health Test Participation is No but Math Test information are there'
  /MISSING=VARIABLE
  /CELLS=COUNT .



* HEALTH TEST PARTICIPATION IS YES BUT NO INFORMATION ON PUPIL HEALTH TEST.

USE ALL.
COMPUTE filter_$=(pfhiv = "Y" and phmis = 86).
VARIABLE LABEL filter_$ 'Math Test Participation is Yes but no information on pupil math'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=pb_B_cas pnf_cas idpupil idppt pfhiv phlth01 phlth02 phlth03 phlth04 phlth05 phlth06 phlth07 phlth08 phlth09 phlth10 
          phlth11 phlth12 phlth13 phlth14 phlth15 phlth16 phlth17 phlth18 phlth19 phlth20 phlth21 
          phlth22 phlth23 phlth24 phlth25 phlth26 phlth27 phlth28 phlth29 phlth30 phlth31 phlth32 
          phlth33 phlth34 phlth35 phlth36 phlth37 phlth38 phlth39 phlth40 phlth41 phlth42 phlth43 
          phlth44 phlth45 phlth46 phlth47 phlth48 phlth49 phlth50 phlth51 phlth52 phlth53 phlth54 
          phlth55 phlth56 phlth57 phlth58 phlth59 phlth60 phlth61 phlth62 phlth63 phlth64 phlth65 
          phlth66 phlth67 phlth68 phlth69 phlth70 phlth71 phlth72 phlth73 phlth74 phlth75 phlth76 
          phlth77 phlth78 phlth79 phlth80 phlth81 phlth82 phlth83 phlth84 phlth85 phlth86 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Health Test Participation is Yes but no information on pupil math'
  /MISSING=VARIABLE
  /CELLS=COUNT .


*************** END **************************** END *************************END ******************************* END ************************************************
