
**********************************************************************************************************************************************
*********                                                                                                                                          ***********************
*********       CONSISTENCIES BETWEEN PUPIL BOOKLET  & TEACHER BOOKLET                        ***********************
*********                                                                                                                                          ***********************
**********                                                                                                                                         ***********************
***********************************************************************************************************************************************
***********************************************************************************************************************************************

***GET PUPIL QUESTIONAIRE****

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\01_PBK_PARTD_(Qnre)_XXX_S3_26SEPT2007.SAV'.

COMPUTE pb_D_cas = $CASENUM .
VARIABLE LABEL pb_D_cas 'Pupil Booklet Part D Case Number'.
FORMAT pb_D_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .


SORT CASES BY
  idpupil (A) .


RENAME VARIABLES (idppt=idppt_d).
EXECUTE.


save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partD_temp.sav' 
  /keep pb_D_cas idschool idpupil idppt_d pborrowc psit pwrite.



***GET PUPIL READING TEST DATA****

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\01_PBK_PARTA_(Read)_XXX_S3_26SEPT2007.SAV'.

COMPUTE pb_A_cas = $CASENUM .
VARIABLE LABEL pb_A_cas 'Pupil Booklet Part A Case Number'.
FORMAT pb_A_cas (F8.0).
EXECUTE .


compute idschool=school.
formats idschool (F9.0).

compute idpupil=idschool*1000+pupil.
formats idpupil (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idpupil  >= 1).
EXECUTE .


SORT CASES BY
  idpupil (A) .


RENAME VARIABLES (idppt=idppt_a).
EXECUTE.

string class (A4).
IF pclass=1 class="6A".
IF pclass=2 class="6B".
IF pclass=3 class="6C".
IF pclass=4 class="6D".
IF pclass=5 class="6E".
IF pclass=6 class="6F".
IF pclass=7 class="6G".
IF pclass=8 class="6H".
IF pclass=9 class="6I".
IF pclass=10 class="6J".
IF pclass=11 class="6K".
IF pclass=12 class="6L".
IF pclass=13 class="6M".
IF pclass=14 class="6N".
IF pclass=15 class="6O".
IF pclass=16 class="6P".
IF pclass=17 class="6Q".
IF pclass=18 class="6R".
IF pclass=19 class="6S".
IF pclass=20 class="6T".
IF pclass=21 class="6U".
IF pclass=22 class="6V".
IF pclass=23 class="6W".
IF pclass=24 class="6X".
IF pclass=25 class="6Y".
IF pclass=26 class="6Z".
IF pclass=27 class="6AA".
IF pclass=28 class="6BB".
IF pclass=29 class="6CC".
IF pclass=30 class="6DD".
IF pclass=31 class="6EE".
IF pclass=32 class="6FF".
IF pclass=33 class="6GG".
IF pclass=34 class="6HH".
IF pclass=35 class="6II".
IF pclass=36 class="6JJ".
IF pclass=37 class="6KK".
IF pclass=38 class="6LL".
IF pclass=39 class="6MM".
IF pclass=40 class="6NN".
IF pclass=41 class="6OO".
IF pclass=42 class="6PP".
IF pclass=43 class="6QQ".
IF pclass=44 class="6RR".
IF pclass=45 class="6SS".
IF pclass=46 class="6TT".
IF pclass=47 class="6UU".
IF pclass=48 class="6VV".
IF pclass=49 class="6WW".
IF pclass=50 class="6XX".
IF pclass=51 class="6YY".
IF pclass=52 class="6ZZ".
IF pclass=53 class="6AAA".
IF pclass=54 class="6BBB".
IF pclass=55 class="6CCC".
IF pclass=56 class="6DDD".

save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partA_temp.sav' 
  /keep pb_A_cas idschool idpupil idppt_a class.


**MERGING***********************

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partA_temp.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partD_temp.sav'
 /BY idpupil.
EXECUTE.


FILTER OFF.
USE ALL.
SELECT IF(class ~= "").
EXECUTE .

string school (A9).
compute school =string(idschool,F9.0).

string idclass (a13).
compute idclass=concat(school,class).
EXECUTE.

save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav' .




***** CLASS LIBRARY BORROWING POLICY *****.

**** Pupil ****.


**PBORROWC = MISSING******

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.


FILTER OFF.
USE ALL.
SELECT IF(missing(pborrowc)) .
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow0c.SAV'
  /BREAK=idschool idclass
  /BREAK0=N.



**PBORROWC = 1******

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(pborrowc = 1).
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow1c.SAV'
  /BREAK=idschool idclass
  /BREAK1=N.



**PBORROWC = 2******


GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(pborrowc = 2).
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow2c.SAV'
  /BREAK=idschool idclass
  /BREAK2=N.



**PBORROWC = 3******

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(pborrowc = 3).
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow3c.SAV'
  /BREAK=idschool idclass
  /BREAK3=N.







**** Teacher ****.

***GET TEACHER QUESTIONAIRE****

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\02_TBK_PartD_(Qnre)_XXX_S3_26SEPT2007.sav'.

COMPUTE tb_D_cas = $CASENUM .
VARIABLE LABEL tb_D_cas 'Teacher Booklet Part D Case Number'.
FORMAT tb_D_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idteacher=idschool*1000+teacher.
formats idteacher (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idteacher  >= 1).
EXECUTE .


SORT CASES BY
  idteacher (A) .

save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partD_temp.sav' 
  /keep tb_D_cas idschool idteacher tborrow tsitclas twritcls .



***GET TEACHER READING TEST DATA

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\02_TBK_PARTA_(READ)_XXX_S3_26SEPT2007.sav'.

COMPUTE tb_A_cas = $CASENUM .
VARIABLE LABEL tb_A_cas 'Teacher Booklet Part A Case Number'.
FORMAT tb_A_cas (F8.0).
EXECUTE .

string class (A4).
IF (trcl6A = 2 OR tmcl6A = 2 OR thcl6A = 2) class = "6A".
IF (trcl6B = 2 OR tmcl6B = 2 OR thcl6B = 2) class = "6B".
IF (trcl6C = 2 OR tmcl6C = 2 OR thcl6C = 2) class = "6C".
IF (trcl6D = 2 OR tmcl6D = 2 OR thcl6D = 2) class = "6D".
IF (trcl6E = 2 OR tmcl6E = 2 OR thcl6E = 2) class = "6E".
IF (trcl6F = 2 OR tmcl6F = 2 OR thcl6F = 2) class = "6F".
IF (trcl6G = 2 OR tmcl6G = 2 OR thcl6G = 2) class = "6G".
IF (trcl6H = 2 OR tmcl6H = 2 OR thcl6H = 2) class = "6H".
IF (trcl6I = 2 OR tmcl6I = 2 OR thcl6I = 2) class = "6I".
IF (trcl6J = 2 OR tmcl6J = 2 OR thcl6J = 2) class = "6J".
IF (trcl6K = 2 OR tmcl6K = 2 OR thcl6K = 2) class = "6K".
IF (trcl6L = 2 OR tmcl6L = 2 OR thcl6L = 2) class = "6L".
IF (trcl6M = 2 OR tmcl6M = 2 OR thcl6M = 2) class = "6M".
IF (trcl6N = 2 OR tmcl6N = 2 OR thcl6N = 2) class = "6N".
IF (trcl6O = 2 OR tmcl6O = 2 OR thcl6O = 2) class = "6O".
IF (trcl6P = 2 OR tmcl6P = 2 OR thcl6P = 2) class = "6P".
IF (trcl6Q = 2 OR tmcl6Q = 2 OR thcl6Q = 2) class = "6Q".
IF (trcl6R = 2 OR tmcl6R = 2 OR thcl6R = 2) class = "6R".
IF (trcl6S = 2 OR tmcl6S = 2 OR thcl6S = 2) class = "6S".
IF (trcl6T = 2 OR tmcl6T = 2 OR thcl6T = 2) class = "6T".
IF (trcl6U = 2 OR tmcl6U = 2 OR thcl6U = 2) class = "6U".
IF (trcl6V = 2 OR tmcl6V = 2 OR thcl6V = 2) class = "6V".
IF (trcl6W = 2 OR tmcl6W = 2 OR thcl6W = 2) class = "6W".
IF (trcl6X = 2 OR tmcl6X = 2 OR thcl6X = 2) class = "6X".
IF (trcl6Y = 2 OR tmcl6Y = 2 OR thcl6Y = 2) class = "6Y".
IF (trcl6Z = 2 OR tmcl6Z = 2 OR thcl6Z = 2) class = "6Z".
IF (trcl6AA = 2 OR tmcl6AA = 2 OR thcl6AA = 2) class = "6AA".
IF (trcl6BB = 2 OR tmcl6BB = 2 OR thcl6BB = 2) class = "6BB".
IF (trcl6CC = 2 OR tmcl6CC = 2 OR thcl6CC = 2) class = "6CC".
IF (trcl6DD = 2 OR tmcl6DD = 2 OR thcl6DD = 2) class = "6DD".
IF (trcl6EE = 2 OR tmcl6EE = 2 OR thcl6EE = 2) class = "6EE".
IF (trcl6FF = 2 OR tmcl6FF = 2 OR thcl6FF = 2) class = "6FF".
IF (trcl6GG = 2 OR tmcl6GG = 2 OR thcl6GG = 2) class = "6GG".
IF (trcl6HH = 2 OR tmcl6HH = 2 OR thcl6HH = 2) class = "6HH".
IF (trcl6II = 2 OR tmcl6II = 2 OR thcl6II = 2) class = "6II".
IF (trcl6JJ = 2 OR tmcl6JJ = 2 OR thcl6JJ = 2) class = "6JJ".
IF (trcl6KK = 2 OR tmcl6KK = 2 OR thcl6KK = 2) class = "6KK".
IF (trcl6LL = 2 OR tmcl6LL = 2 OR thcl6LL = 2) class = "6LL".
IF (trcl6MM = 2 OR tmcl6MM = 2 OR thcl6MM = 2) class = "6MM".
IF (trcl6NN = 2 OR tmcl6NN = 2 OR thcl6NN = 2) class = "6NN".
IF (trcl6OO = 2 OR tmcl6OO = 2 OR thcl6OO = 2) class = "6OO".
IF (trcl6PP = 2 OR tmcl6PP = 2 OR thcl6PP = 2) class = "6PP".
IF (trcl6QQ = 2 OR tmcl6QQ = 2 OR thcl6QQ = 2) class = "6QQ".
IF (trcl6RR = 2 OR tmcl6RR = 2 OR thcl6RR = 2) class = "6RR".
IF (trcl6SS = 2 OR tmcl6SS = 2 OR thcl6SS = 2) class = "6SS".
IF (trcl6TT = 2 OR tmcl6TT = 2 OR thcl6TT = 2) class = "6TT".
IF (trcl6UU = 2 OR tmcl6UU = 2 OR thcl6UU = 2) class = "6UU".
IF (trcl6VV = 2 OR tmcl6VV = 2 OR thcl6VV = 2) class = "6VV".
IF (trcl6WW = 2 OR tmcl6WW = 2 OR thcl6WW = 2) class = "6WW".
IF (trcl6XX = 2 OR tmcl6XX = 2 OR thcl6XX = 2) class = "6XX".
IF (trcl6YY = 2 OR tmcl6YY = 2 OR thcl6YY = 2) class = "6YY".
IF (trcl6ZZ = 2 OR tmcl6ZZ = 2 OR thcl6ZZ = 2) class = "6ZZ".
IF (trcl6AAA = 2 OR tmcl6AAA = 2 OR thcl6AAA = 2) class = "6AAA".
IF (trcl6BBB = 2 OR tmcl6BBB = 2 OR thcl6BBB = 2) class = "6BBB".
IF (trcl6CCC = 2 OR tmcl6CCC = 2 OR thcl6CCC = 2) class = "6CCC".
IF (trcl6DDD = 2 OR tmcl6DDD = 2 OR thcl6DDD = 2) class = "6DDD".
EXECUTE .


compute idschool=school.
formats idschool (F9.0).

compute idteacher=idschool*1000+teacher.
formats idteacher (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idteacher  >= 1).
EXECUTE .


SORT CASES BY
  idteacher (A) .



save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partA_temp.sav' 
  /keep tb_A_cas idschool idteacher class tcsz6a tcsz6b tcsz6c tcsz6d tcsz6e tcsz6f tcsz6g tcsz6h tcsz6i tcsz6j tcsz6k tcsz6l tcsz6m tcsz6n
tcsz6o tcsz6p tcsz6q tcsz6r tcsz6s tcsz6t tcsz6u tcsz6v tcsz6w tcsz6x tcsz6y tcsz6z tcsz6aa 
tcsz6bb tcsz6cc tcsz6dd tcsz6ee tcsz6ff tcsz6gg tcsz6hh tcsz6ii tcsz6jj tcsz6kk tcsz6ll tcsz6mm 
tcsz6nn tcsz6oo tcsz6pp tcsz6qq tcsz6rr tcsz6ss tcsz6tt tcsz6uu tcsz6vv tcsz6ww tcsz6xx 
tcsz6yy tcsz6zz tcsz6aaa tcsz6bbb tcsz6ccc tcsz6ddd .



**MERGING***********************

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partA_temp.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partD_temp.sav'
 /BY idteacher.
EXECUTE.


FILTER OFF.
USE ALL.
SELECT IF(class ~= "").
EXECUTE .

string school (A9).
compute school =string(idschool,F9.0).

string idclass (a13).
compute idclass=concat(school,class).
EXECUTE.

save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav' .



***CLASS 6A******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .

compute pup=tcsz6a.


FILTER OFF.
USE ALL.
SELECT IF(class="6A").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6A_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.


***CLASS 6B******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6b.

FILTER OFF.
USE ALL.
SELECT IF(class="6B").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6B_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.


***CLASS 6C******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6c.

 FILTER OFF.
USE ALL.
SELECT IF(class="6C").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6C_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.

***CLASS 6D******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 FILTER OFF.
 
compute pup=tcsz6d.

USE ALL.
SELECT IF(class="6D").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6D_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.

***CLASS 6E******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6e.

FILTER OFF.
USE ALL.
SELECT IF(class="6E").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6E_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.

***CLASS 6F******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6f.

FILTER OFF.
USE ALL.
SELECT IF(class="6F").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6F_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.


***CLASS 6G******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6g.

FILTER OFF.
USE ALL.
SELECT IF(class="6G").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6G_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.

***CLASS 6H******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6h.

FILTER OFF.
USE ALL.
SELECT IF(class="6H").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6H_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.

***CLASS 6I******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6i.

FILTER OFF.
USE ALL.
SELECT IF(class="6I").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6I_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.

***CLASS 6J******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6j.

FILTER OFF.
USE ALL.
SELECT IF(class="6J").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6J_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.

***CLASS 6K******


GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6k.

FILTER OFF.
USE ALL.
SELECT IF(class="6K").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6K_temp.sav' 
      /keep idschool idclass idteacher tborrow tsitclas twritcls pup.


****MERGING TEACHER CLASS FILES************


GET  
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6A_temp.SAV'.

ADD FILES /FILE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6B_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6C_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6D_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6E_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6F_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6G_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6H_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6I_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6J_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6K_temp.SAV'.
EXECUTE.

sort cases by idschool (a)  idclass (a)   .

***MERGING TEACHER CLASS FILES WITH PUPIL BORROW FILES****

MATCH FILES /FILE=*
 /TABLE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow0c.SAV'
 /TABLE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow1c.SAV'
 /TABLE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow2c.SAV'
 /TABLE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\borrow3c.SAV'
/BY idschool idclass .
EXECUTE.


SUMMARIZE
  /TABLES=idschool idclass idteacher tborrow break0 break1 break2 break3 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Class Library Borrowing Policy'
  /MISSING=VARIABLE
  /CELLS=COUNT .





***********************************************************************************************************************************
*                                                                                                                                                                 *
*     SITTING AND WRITING                                                                                                                          *
*                                                                                                                                                                 *
***********************************************************************************************************************************
*** PUPIL DATA***.



**PSIT = MISSING******

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(missing(psit)) .
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\psit0.SAV'
  /BREAK=idschool idclass
  /BR_SIT0=N.



**PSIT = 1******

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(psit = 1).
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\psit1.SAV'
  /BREAK=idschool idclass
  /BR_SIT1=N.



**PSIT = 2******
 GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(psit = 2).
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\psit2.SAV'
  /BREAK=idschool idclass
  /BR_SIT2=N.



**PSIT = 3******

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(psit = 3).
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\psit3.SAV'
  /BREAK=idschool idclass
  /BR_SIT3=N.



****PWRITE****************

**PWRITE = MISSING******

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(missing(pwrite)) .
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pwrite0.SAV'
  /BREAK=idschool idclass
  /BR_WRT0=N.



**PWRITE = 1******

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(pwrite = 1).
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pwrite1.SAV'
  /BREAK=idschool idclass
  /BR_WRT1=N.



**PWRITE = 2******
 
GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(pwrite = 2).
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pwrite2.SAV'
  /BREAK=idschool idclass
  /BR_WRT2=N.



**PWRITE = 3******

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pbk_partsA&D_temp.sav'.

FILTER OFF.
USE ALL.
SELECT IF(pwrite = 3).
EXECUTE .

sort cases by idschool (a) idclass (a).

AGGREGATE
  /OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pwrite3.SAV'
  /BREAK=idschool idclass
  /BR_WRT3=N.



*** MERGING PSITE AND PWRITE FILES ***

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\psit0.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\psit1.sav'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\psit2.sav'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\psit3.sav'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pwrite0.sav'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pwrite1.sav'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pwrite2.sav'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\pwrite3.sav'
 /BY idclass.
EXECUTE.

save outfile ='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\sitwrite.sav'.





*** TEACHER DATA***.


****MERGING TEACHER CLASS FILES************


GET  
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6A_temp.SAV'.

ADD FILES /FILE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6B_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6C_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6D_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6E_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6F_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6G_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6H_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6I_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6J_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6K_temp.SAV'.
EXECUTE.

sort cases by idschool (a)  idclass (a)   .

***MERGING TEACHER CLASS FILES WITH PUPIL SIT & WRITE FILES****

MATCH FILES /FILE=*
 /TABLE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\PupilBooklet\sitwrite.SAV'
 /BY idschool idclass .
EXECUTE.



compute sitpRT= tsitclas/pup.
compute writpRT= twritcls/pup.
EXECUTE.

SUMMARIZE
  /TABLES= idschool idclass tsitclas pup sitpRT  br_sit0 br_sit1 br_sit2 br_sit3 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies on sitting places'
  /MISSING=VARIABLE
  /CELLS=COUNT .

SUMMARIZE
  /TABLES=idschool idclass  twritcls pup writpRT br_wrt0 br_wrt1 br_wrt2 br_wrt3 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies on writing places'
  /MISSING=VARIABLE
  /CELLS=COUNT .




*************** END **************************** END *************************END ******************************* END ************************************************ .