

**********************************************************************************************************************************************
*********                                                                                                                                          ***********************
*********       CONSISTENCIES BETWEEN TEACHER BOOKLET & SCHOOL FORM                           ***********************
*********                                                                                                                                          ***********************
**********                                                                                                                                         ***********************
***********************************************************************************************************************************************
***********************************************************************************************************************************************

**** Teacher ****.

***GET TEACHER QUESTIONAIRE****

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\02_TBK_PartD_(Qnre)_XXX_S3_26SEPT2007.sav'.

COMPUTE tb_D_cas = $CASENUM .
VARIABLE LABEL tb_D_cas 'Teacher Booklet Part D Case Number'.
FORMAT tb_D_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idteacher=idschool*1000+teacher.
formats idteacher (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idteacher  >= 1).
EXECUTE .


SORT CASES BY
  idteacher (A) .

save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partD_temp.sav' 
  /keep tb_D_cas idschool idteacher tborrow tsitclas twritcls .



***GET TEACHER READING TEST DATA

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\02_TBK_PARTA_(READ)_XXX_S3_26SEPT2007.sav'.

COMPUTE tb_A_cas = $CASENUM .
VARIABLE LABEL tb_A_cas 'Teacher Booklet Part A Case Number'.
FORMAT tb_A_cas (F8.0).
EXECUTE .


FREQUENCIES
  VARIABLES=trcl6a to tcsz6ddd
 /FORMAT=NOTABLE
  /ORDER=  ANALYSIS .


string class (A4).
IF (trcl6A = 2 OR tmcl6A = 2 OR thcl6A = 2) class = "6A".
IF (trcl6B = 2 OR tmcl6B = 2 OR thcl6B = 2) class = "6B".
IF (trcl6C = 2 OR tmcl6C = 2 OR thcl6C = 2) class = "6C".
IF (trcl6D = 2 OR tmcl6D = 2 OR thcl6D = 2) class = "6D".
IF (trcl6E = 2 OR tmcl6E = 2 OR thcl6E = 2) class = "6E".
IF (trcl6F = 2 OR tmcl6F = 2 OR thcl6F = 2) class = "6F".
IF (trcl6G = 2 OR tmcl6G = 2 OR thcl6G = 2) class = "6G".
IF (trcl6H = 2 OR tmcl6H = 2 OR thcl6H = 2) class = "6H".
IF (trcl6I = 2 OR tmcl6I = 2 OR thcl6I = 2) class = "6I".
IF (trcl6J = 2 OR tmcl6J = 2 OR thcl6J = 2) class = "6J".
IF (trcl6K = 2 OR tmcl6K = 2 OR thcl6K = 2) class = "6K".
IF (trcl6L = 2 OR tmcl6L = 2 OR thcl6L = 2) class = "6L".
IF (trcl6M = 2 OR tmcl6M = 2 OR thcl6M = 2) class = "6M".
IF (trcl6N = 2 OR tmcl6N = 2 OR thcl6N = 2) class = "6N".
IF (trcl6O = 2 OR tmcl6O = 2 OR thcl6O = 2) class = "6O".
IF (trcl6P = 2 OR tmcl6P = 2 OR thcl6P = 2) class = "6P".
IF (trcl6Q = 2 OR tmcl6Q = 2 OR thcl6Q = 2) class = "6Q".
IF (trcl6R = 2 OR tmcl6R = 2 OR thcl6R = 2) class = "6R".
IF (trcl6S = 2 OR tmcl6S = 2 OR thcl6S = 2) class = "6S".
IF (trcl6T = 2 OR tmcl6T = 2 OR thcl6T = 2) class = "6T".
IF (trcl6U = 2 OR tmcl6U = 2 OR thcl6U = 2) class = "6U".
IF (trcl6V = 2 OR tmcl6V = 2 OR thcl6V = 2) class = "6V".
IF (trcl6W = 2 OR tmcl6W = 2 OR thcl6W = 2) class = "6W".
IF (trcl6X = 2 OR tmcl6X = 2 OR thcl6X = 2) class = "6X".
IF (trcl6Y = 2 OR tmcl6Y = 2 OR thcl6Y = 2) class = "6Y".
IF (trcl6Z = 2 OR tmcl6Z = 2 OR thcl6Z = 2) class = "6Z".
IF (trcl6AA = 2 OR tmcl6AA = 2 OR thcl6AA = 2) class = "6AA".
IF (trcl6BB = 2 OR tmcl6BB = 2 OR thcl6BB = 2) class = "6BB".
IF (trcl6CC = 2 OR tmcl6CC = 2 OR thcl6CC = 2) class = "6CC".
IF (trcl6DD = 2 OR tmcl6DD = 2 OR thcl6DD = 2) class = "6DD".
IF (trcl6EE = 2 OR tmcl6EE = 2 OR thcl6EE = 2) class = "6EE".
IF (trcl6FF = 2 OR tmcl6FF = 2 OR thcl6FF = 2) class = "6FF".
IF (trcl6GG = 2 OR tmcl6GG = 2 OR thcl6GG = 2) class = "6GG".
IF (trcl6HH = 2 OR tmcl6HH = 2 OR thcl6HH = 2) class = "6HH".
IF (trcl6II = 2 OR tmcl6II = 2 OR thcl6II = 2) class = "6II".
IF (trcl6JJ = 2 OR tmcl6JJ = 2 OR thcl6JJ = 2) class = "6JJ".
IF (trcl6KK = 2 OR tmcl6KK = 2 OR thcl6KK = 2) class = "6KK".
IF (trcl6LL = 2 OR tmcl6LL = 2 OR thcl6LL = 2) class = "6LL".
IF (trcl6MM = 2 OR tmcl6MM = 2 OR thcl6MM = 2) class = "6MM".
IF (trcl6NN = 2 OR tmcl6NN = 2 OR thcl6NN = 2) class = "6NN".
IF (trcl6OO = 2 OR tmcl6OO = 2 OR thcl6OO = 2) class = "6OO".
IF (trcl6PP = 2 OR tmcl6PP = 2 OR thcl6PP = 2) class = "6PP".
IF (trcl6QQ = 2 OR tmcl6QQ = 2 OR thcl6QQ = 2) class = "6QQ".
IF (trcl6RR = 2 OR tmcl6RR = 2 OR thcl6RR = 2) class = "6RR".
IF (trcl6SS = 2 OR tmcl6SS = 2 OR thcl6SS = 2) class = "6SS".
IF (trcl6TT = 2 OR tmcl6TT = 2 OR thcl6TT = 2) class = "6TT".
IF (trcl6UU = 2 OR tmcl6UU = 2 OR thcl6UU = 2) class = "6UU".
IF (trcl6VV = 2 OR tmcl6VV = 2 OR thcl6VV = 2) class = "6VV".
IF (trcl6WW = 2 OR tmcl6WW = 2 OR thcl6WW = 2) class = "6WW".
IF (trcl6XX = 2 OR tmcl6XX = 2 OR thcl6XX = 2) class = "6XX".
IF (trcl6YY = 2 OR tmcl6YY = 2 OR thcl6YY = 2) class = "6YY".
IF (trcl6ZZ = 2 OR tmcl6ZZ = 2 OR thcl6ZZ = 2) class = "6ZZ".
IF (trcl6AAA = 2 OR tmcl6AAA = 2 OR thcl6AAA = 2) class = "6AAA".
IF (trcl6BBB = 2 OR tmcl6BBB = 2 OR thcl6BBB = 2) class = "6BBB".
IF (trcl6CCC = 2 OR tmcl6CCC = 2 OR thcl6CCC = 2) class = "6CCC".
IF (trcl6DDD = 2 OR tmcl6DDD = 2 OR thcl6DDD = 2) class = "6DDD".
EXECUTE .


compute idschool=school.
formats idschool (F9.0).

compute idteacher=idschool*1000+teacher.
formats idteacher (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idteacher  >= 1).
EXECUTE .


SORT CASES BY
  idteacher (A) .



save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partA_temp.sav' 
  /keep tb_A_cas idschool idteacher class tcsz6a tcsz6b tcsz6c tcsz6d tcsz6e tcsz6f tcsz6g tcsz6h tcsz6i tcsz6j tcsz6k tcsz6l tcsz6m tcsz6n
tcsz6o tcsz6p tcsz6q tcsz6r tcsz6s tcsz6t tcsz6u tcsz6v tcsz6w tcsz6x tcsz6y tcsz6z tcsz6aa 
tcsz6bb tcsz6cc tcsz6dd tcsz6ee tcsz6ff tcsz6gg tcsz6hh tcsz6ii tcsz6jj tcsz6kk tcsz6ll tcsz6mm 
tcsz6nn tcsz6oo tcsz6pp tcsz6qq tcsz6rr tcsz6ss tcsz6tt tcsz6uu tcsz6vv tcsz6ww tcsz6xx 
tcsz6yy tcsz6zz tcsz6aaa tcsz6bbb tcsz6ccc tcsz6ddd .



**MERGING***********************

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partA_temp.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partD_temp.sav'
 /BY idteacher.
EXECUTE.


FILTER OFF.
USE ALL.
SELECT IF(class ~= "").
EXECUTE .

string school (A9).
compute school =string(idschool,F9.0).

string idclass (a13).
compute idclass=concat(school,class).
EXECUTE.

save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav' .



***CLASS 6A******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .

compute pup=tcsz6a.
 FILTER OFF.
USE ALL.
SELECT IF(class="6A").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6A_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.


***CLASS 6B******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6b.

FILTER OFF.
USE ALL.
SELECT IF(class="6B").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6B_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.


***CLASS 6C******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6c.

 FILTER OFF.
USE ALL.
SELECT IF(class="6C").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6C_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.

***CLASS 6D******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6d.

 FILTER OFF.
USE ALL.
SELECT IF(class="6D").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6D_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.

***CLASS 6E******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6e.

FILTER OFF.
USE ALL.
SELECT IF(class="6E").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6E_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.

***CLASS 6F******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6f.

FILTER OFF.
USE ALL.
SELECT IF(class="6F").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6F_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.


***CLASS 6G******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6g.

FILTER OFF.
USE ALL.
SELECT IF(class="6G").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6G_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.

***CLASS 6H******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6h.

FILTER OFF.
USE ALL.
SELECT IF(class="6H").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6H_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.

***CLASS 6I******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6i.

FILTER OFF.
USE ALL.
SELECT IF(class="6I").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6I_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.

***CLASS 6J******

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6j.

FILTER OFF.
USE ALL.
SELECT IF(class="6J").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6J_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.

***CLASS 6K******


GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partsA&D_temp.sav'.
EXECUTE .
 
compute pup=tcsz6k.

FILTER OFF.
USE ALL.
SELECT IF(class="6K").
EXECUTE .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6K_temp.sav' 
      /keep tb_A_cas tb_D_cas idschool idclass class idteacher tborrow tsitclas twritcls pup.


****MERGING TEACHER CLASS FILES************


GET  
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6A_temp.SAV'.

ADD FILES /FILE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6B_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6C_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6D_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6E_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6F_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6G_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6H_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6I_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6J_temp.SAV'
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_class6K_temp.SAV'.
EXECUTE.

sort cases by idschool (a)  class (a) idclass (a)   .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\class1.SAV'.




****GET SCHOOL FORM DATA***********************

GET 
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolForm\04_SF_XXX_S3_26SEPT2007.SAV'.


COMPUTE sf_cas = $CASENUM .
VARIABLE LABEL sf_cas 'School Form Case Number'.
FORMAT sf_cas (F8.0).
EXECUTE .


compute idschool=school.
formats idschool (F9.0).

string class (A4).
IF (ltrim(sfclass)="6A" OR ltrim(sfclass)="6a") class ="6A".
IF (ltrim(sfclass)="6B" OR ltrim(sfclass)="6b") class ="6B".
IF (ltrim(sfclass)="6C" OR ltrim(sfclass)="6c") class ="6C".
IF (ltrim(sfclass)="6D" OR ltrim(sfclass)="6d") class ="6D".
IF (ltrim(sfclass)="6E" OR ltrim(sfclass)="6e") class ="6E".
IF (ltrim(sfclass)="6F" OR ltrim(sfclass)="6f") class ="6F".
IF (ltrim(sfclass)="6G" OR ltrim(sfclass)="6g") class ="6G".
IF (ltrim(sfclass)="6H" OR ltrim(sfclass)="6h") class ="6H".
IF (ltrim(sfclass)="6I" OR ltrim(sfclass)="6i") class ="6I".
IF (ltrim(sfclass)="6J" OR ltrim(sfclass)="6j") class ="6J".
IF (ltrim(sfclass)="6K" OR ltrim(sfclass)="6k") class ="6K".
IF (ltrim(sfclass)="6L" OR ltrim(sfclass)="6l") class ="6L".
IF (ltrim(sfclass)="6M" OR ltrim(sfclass)="6m") class ="6M".
IF (ltrim(sfclass)="6N" OR ltrim(sfclass)="6n") class ="6N".
IF (ltrim(sfclass)="6O" OR ltrim(sfclass)="6o") class ="6O".
IF (ltrim(sfclass)="6P" OR ltrim(sfclass)="6p") class ="6P".
IF (ltrim(sfclass)="6Q" OR ltrim(sfclass)="6q") class ="6Q".
IF (ltrim(sfclass)="6R" OR ltrim(sfclass)="6r") class ="6R".
IF (ltrim(sfclass)="6S" OR ltrim(sfclass)="6s") class ="6S".
IF (ltrim(sfclass)="6T" OR ltrim(sfclass)="6t") class ="6T".
IF (ltrim(sfclass)="6U" OR ltrim(sfclass)="6u") class ="6U".
IF (ltrim(sfclass)="6V" OR ltrim(sfclass)="6v") class ="6V".
IF (ltrim(sfclass)="6W" OR ltrim(sfclass)="6w") class ="6W".
IF (ltrim(sfclass)="6X" OR ltrim(sfclass)="6x") class ="6X".
IF (ltrim(sfclass)="6Y" OR ltrim(sfclass)="6y") class ="6Y".
IF (ltrim(sfclass)="6Z" OR ltrim(sfclass)="6z") class ="6Z".
IF (ltrim(sfclass)="6AA" OR ltrim(sfclass)="6aa") class ="6AA".
IF (ltrim(sfclass)="6BB" OR ltrim(sfclass)="6bb") class ="6BB".
IF (ltrim(sfclass)="6CC" OR ltrim(sfclass)="6cc") class ="6CC".
IF (ltrim(sfclass)="6DD" OR ltrim(sfclass)="6dd") class ="6DD".
IF (ltrim(sfclass)="6EE" OR ltrim(sfclass)="6ee") class ="6EE".
IF (ltrim(sfclass)="6FF" OR ltrim(sfclass)="6ff") class ="6FF".
IF (ltrim(sfclass)="6GG" OR ltrim(sfclass)="6gg") class ="6GG".
IF (ltrim(sfclass)="6HH" OR ltrim(sfclass)="6hh") class ="6HH".
IF (ltrim(sfclass)="6II" OR ltrim(sfclass)="6ii") class ="6II".
IF (ltrim(sfclass)="6JJ" OR ltrim(sfclass)="6jj") class ="6JJ".
IF (ltrim(sfclass)="6KK" OR ltrim(sfclass)="6kk") class ="6KK".
IF (ltrim(sfclass)="6LL" OR ltrim(sfclass)="6ll") class ="6LL".
IF (ltrim(sfclass)="6MM" OR ltrim(sfclass)="6mm") class ="6MM".
IF (ltrim(sfclass)="6NN" OR ltrim(sfclass)="6nn") class ="6NN".
IF (ltrim(sfclass)="6OO" OR ltrim(sfclass)="6oo") class ="6OO".
IF (ltrim(sfclass)="6PP" OR ltrim(sfclass)="6pp") class ="6PP".
IF (ltrim(sfclass)="6QQ" OR ltrim(sfclass)="6qq") class ="6QQ".
IF (ltrim(sfclass)="6RR" OR ltrim(sfclass)="6rr") class ="6RR".
IF (ltrim(sfclass)="6SS" OR ltrim(sfclass)="6ss") class ="6SS".
IF (ltrim(sfclass)="6TT" OR ltrim(sfclass)="6tt") class ="6TT".
IF (ltrim(sfclass)="6UU" OR ltrim(sfclass)="6uu") class ="6UU".
IF (ltrim(sfclass)="6VV" OR ltrim(sfclass)="6vv") class ="6VV".
IF (ltrim(sfclass)="6WW" OR ltrim(sfclass)="6ww") class ="6WW".
IF (ltrim(sfclass)="6XX" OR ltrim(sfclass)="6xx") class ="6XX".
IF (ltrim(sfclass)="6YY" OR ltrim(sfclass)="6yy") class ="6YY".
IF (ltrim(sfclass)="6ZZ" OR ltrim(sfclass)="6zz") class ="6ZZ".
IF (ltrim(sfclass)="6AAA" OR ltrim(sfclass)="6aaa") class ="6AAA".
IF (ltrim(sfclass)="6BBB" OR ltrim(sfclass)="6bbb") class ="6BBB".
IF (ltrim(sfclass)="6CCC" OR ltrim(sfclass)="6ccc") class ="6CCC".
IF (ltrim(sfclass)="6DDD" OR ltrim(sfclass)="6ddd") class ="6DDD".

string schID (A9).
compute schID =string(idschool,F9.0).

string idclass (a13).
compute idclass=concat(schID,class).
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(SFCLASS  ~= "6XXX").
EXECUTE .

sort cases by idschool (a) class (a) idclass (a)   .

save outfile='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolForm\class2.SAV'
  /KEEP sf_cas idschool class idclass sfpup .



****MERGING**************

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\class1.SAV'.

MATCH FILES /FILE=*
 /TABLE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolForm\class2.SAV'
 /BY idschool class idclass .
EXECUTE.


* Grade 6 pupils in each class.

USE ALL.
COMPUTE filter_$=(sfpup ~= pup ).
VARIABLE LABEL filter_$ 'Checking on Grade 6 pupils in each class'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

sort cases by idclass (a).

SUMMARIZE
  /TABLES= sf_cas tb_D_cas idschool class idclass pup sfpup
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Checking on Grade 6 pupils in each class'
  /MISSING=VARIABLE
  /CELLS=COUNT .


*************** END **************************** END *************************END ******************************* END ************************************************ .