

****************************************************************************************************************************************************
*********                                                                                                                                                  ***********************
*********       CONSISTENCIES BETWEEN TEACHER BOOKLET & SCHOOL INFORMATION BOOKLET      ***********************
*********                                                                                                                                                  ***********************
**********                                                                                                                                                 ***********************
*****************************************************************************************************************************************************
*****************************************************************************************************************************************************


******************************************************************************************************************************************
*                                                                                                                                                                          *
*       AVAILABILITY OF COMPUTERS & INTERNET                                                                                               *
*                                                                                                                                                                          *
******************************************************************************************************************************************

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\02_TBK_PartD_(Qnre)_XXX_S3_26SEPT2007.sav'.

COMPUTE tb_D_cas = $CASENUM .
VARIABLE LABEL tb_D_cas 'Teacher Booklet Part D Case Number'.
FORMAT tb_D_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idteacher=idschool*1000+teacher.
formats idteacher (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idteacher  >= 1).
EXECUTE .


SORT CASES BY
  idteacher (A) .

save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partD_temp2.sav' 
  /keep tb_D_cas idschool idteacher trescomp tresint .



GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolInformationBooklet\06_SIBK_XXX_S3_26SEPT2007.SAV'.

COMPUTE sibk_cas = $CASENUM .
VARIABLE LABEL sibk_cas 'School Information Booklet Case Number'.
FORMAT sibk_cas (F8.0).
EXECUTE .


compute idschool=school.
formats idschool (F9.0).
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partD_temp2.sav'
 /BY idschool.
EXECUTE.




******************************************************************************************************************************************************
*                                                                                                                                                                                         *
*       SCHOOL HAS NO COMPUTER (SIB#19) BUT TEACHER SAY HAVE ACCESS TO COMPUTER IN SCHOOL (TBK#14)     *
*                                                                                                                                                                                         *
******************************************************************************************************************************************************

RECODE
  scomptr1 scomptr2 scomptr3 scomptr5  (MISSING=0)  .
EXECUTE .


USE ALL.
COMPUTE filter_$=((scomptr1= 0 and scomptr2 = 0 and scomptr3 = 0 and scomptr5 =0) and (trescomp = 2)).
VARIABLE LABEL filter_$ 'No sch computer (SIB#19) but teacher has access to computer (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas sibk_cas region district school idteacher scomptr1 scomptr2 scomptr3 scomptr5 trescomp  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No sch computer (SIB#19) but teacher has access to computer (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************************
*                                                                                                                                                                                         *
*       SCHOOL HAS NO INTERNET (SIB#19.4) BUT TEACHER SAY HAVE ACCESS TO INTERNET IN SCHOOL (TBK#14)        *
*                                                                                                                                                                                         *
******************************************************************************************************************************************************

RECODE
  scomptr5  (MISSING=0)  .
EXECUTE .


USE ALL.
COMPUTE filter_$=(scomptr5 =0 and tresint = 2).
VARIABLE LABEL filter_$ 'No intenet in school (SIB#19.4) but teacher has access to internet (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas sibk_cas region district school idteacher scomptr5 tresint  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No internet in school (SIB#19.4) but teacher has access to internet (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .




*************** END **************************** END *************************END ******************************* END ************************************************ .