

****************************************************************************************************************************************************
*********                                                                                                                                                  ***********************
*********       CONSISTENCIES BETWEEN TEACHER BOOKLET & SCHOOL HEAD BOOKLET                   ***********************
*********                                                                                                                                                  ***********************
**********                                                                                                                                                 ***********************
*****************************************************************************************************************************************************
*****************************************************************************************************************************************************


******************************************************************************************************************************************
*                                                                                                                                                                          *
*       AVAILABILITY OF TV, RADIO & PHOTOCOPIER IN SCHOOL                                                                         *
*                                                                                                                                                                          *
******************************************************************************************************************************************

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\02_TBK_PartD_(Qnre)_XXX_S3_26SEPT2007.sav'.


COMPUTE tb_D_cas = $CASENUM .
VARIABLE LABEL tb_D_cas 'Teacher Booklet Part D Case Number'.
FORMAT tb_D_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

compute idteacher=idschool*1000+teacher.
formats idteacher (F13.0).

FILTER OFF.
USE ALL.
SELECT IF(idteacher  >= 1).
EXECUTE .


SORT CASES BY
  idteacher (A) .

save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partD_temp3.sav' 
  /keep tb_D_cas idschool idteacher tresrad TO trespcpy .



GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolHeadBooket\03_SHBK_XXX_S3_26SEPT2007.SAV'.

COMPUTE shbk_cas = $CASENUM .
VARIABLE LABEL shbk_cas 'School Head Booklet Case Number'.
FORMAT shbk_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).
EXECUTE.


COUNT
  shbk_miss = STYPE TO SHIVTEST  (MISSING)  .
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(shbk_miss ~= 263).
EXECUTE .

MATCH FILES /TABLE=*
 /FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\TeacherBooklet\tbk_partD_temp3.sav'
 /BY idschool.
EXECUTE.




******************************************************************************************************************************************************
*                                                                                                                                                                                         *
*       SCHOOL HAS NO RADIO (SHBK#19) BUT TEACHER SAY HAS ACCESS TO RADIO IN SCHOOL (TBK#14)                    *
*                                                                                                                                                                                         *
******************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((sres21=1) and (tresrad = 2)).
VARIABLE LABEL filter_$ 'No sch radio (SHBK#19) but teacher has access to radio in school (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas shbk_cas region district school idteacher tresrad sres21  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No sch radion (SHBK#19) but teacher has access to radio in school (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************************
*                                                                                                                                                                                         *
*       SCHOOL HAS NO TV (SHBK#19) BUT TEACHER SAY HAS ACCESS TO TV IN SCHOOL (TBK#14)                    *
*                                                                                                                                                                                         *
******************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((sres23=1) and (trestv = 2)).
VARIABLE LABEL filter_$ 'No sch radio (SHBK#19) but teacher has access to radio in school (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas shbk_cas region district school idteacher trestv sres21  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No sch radion (SHBK#19) but teacher has access to radio in school (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************************
*                                                                                                                                                                                         *
*       SCHOOL HAS NO AUDIO CASSETTE PLAYER (SHBK#19) BUT TEACHER SAY HAS ACCESS IN SCHOOL (TBK#14)    *
*                                                                                                                                                                                         *
******************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((sres24=1) and (trescas = 2)).
VARIABLE LABEL filter_$ 'No sch audio cassette player (SHBK#19) but teacher has access to it in school (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas shbk_cas region district school idteacher trescas sres24  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No sch audio cassette player (SHBK#19) but teacher has access to it in school (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


******************************************************************************************************************************************************
*                                                                                                                                                                                         *
*       SCHOOL HAS NO CD PLAYER (SHBK#19) BUT TEACHER SAY HAS ACCESS TO CD PLAYER IN SCHOOL (TBK#14)   *
*                                                                                                                                                                                         *
******************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((sres25=1) and (trescd = 2)).
VARIABLE LABEL filter_$ 'No school cd player (SHBK#19) but teacher has access to it in school (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas shbk_cas region district school idteacher trescd sres25  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No sch cd player (SHBK#19) but teacher has access to it in school (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


******************************************************************************************************************************************************
*                                                                                                                                                                                         *
*       SCHOOL HAS NO VCR (SHBK#19) BUT TEACHER SAY HAS ACCESS TO VCR IN SCHOOL (TBK#14)   *
*                                                                                                                                                                                         *
******************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((sres26=1) and (tresvcr = 2)).
VARIABLE LABEL filter_$ 'No school vcr (SHBK#19) but teacher has access to it in school (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas shbk_cas region district school idteacher tresvcr sres26  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No sch vcr (SHBK#19) but teacher has access to it in school (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


******************************************************************************************************************************************************
*                                                                                                                                                                                         *
*       SCHOOL HAS NO DVD/VCD (SHBK#19) BUT TEACHER SAY HAS ACCESS TO DVD/VCD IN SCHOOL (TBK#14)           *
*                                                                                                                                                                                         *
******************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((sres27=1) and (tresdvd = 2)).
VARIABLE LABEL filter_$ 'No school dvd/vcd (SHBK#19) but teacher has access to it in school (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas shbk_cas region district school idteacher tresdvd sres27  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No sch dvd/vcd (SHBK#19) but teacher has access to it in school (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .



******************************************************************************************************************************************************
*                                                                                                                                                                                         *
*       SCHOOL HAS NO PHOTOCOPIER (SHBK#19) BUT TEACHER SAY HAS ACCESS TO IT IN SCHOOL (TBK#14)              *
*                                                                                                                                                                                         *
******************************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((sres29=1) and (trespcpy = 2)).
VARIABLE LABEL filter_$ 'No school vcr (SHBK#19) but teacher has access to it in school (TBK#14)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=tb_D_cas shbk_cas region district school idteacher trespcpy sres29  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No sch photocopier (SHBK#19) but teacher has access to it in school (TBK#14)'
  /MISSING=VARIABLE
  /CELLS=COUNT .

*************** END **************************** END *************************END ******************************* END ************************************************ .