
**********************************************************************************************************************************
********                                                                                                                          ************************
********       SCHOOL HEAD BOOKLET    VERSUS SCHOOL INFORMATION BOOKLET    ************************
********                                                                                                                          ************************
********                                                                                                                          ************************
**********************************************************************************************************************************
**********************************************************************************************************************************


GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolHeadBooket\03_SHBK_XXX_S3_26SEPT2007.SAV'.

COMPUTE shbk_cas = $CASENUM .
VARIABLE LABEL shbk_cas 'School Head Booklet Case Number'.
FORMAT shbk_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).


COUNT
  shbk_miss = STYPE TO SHIVTEST  (MISSING)  .
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(shbk_miss ~= 263).
EXECUTE .

sort cases by idschool (a).

save OUTFILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolHeadBooket\shbk_temp.sav' 
  /keep shbk_cas idschool slevels sres01 sres31 sborrow.



GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolInformationBooklet\06_SIBK_XXX_S3_26SEPT2007.SAV'.

COMPUTE sibk_cas = $CASENUM .
VARIABLE LABEL sibk_cas 'School Information Booklet Case Number'.
FORMAT sibk_cas (F8.0).
EXECUTE .

compute idschool=school.
formats idschool (F9.0).

COUNT
  sibk_miss = SFAR1 TO SLIBBKS  (MISSING)  .
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(sibk_miss ~= 98).
EXECUTE .

sort cases by idschool (a).

MATCH FILES /FILE=*
 /TABLE='R:\SACMEQ 3\02 WORKING\07. DATA\CLEANING\CountryData\XXX\SchoolHeadBooket\shbk_temp.sav'
 /BY idschool.
EXECUTE.


************************************************************************************************************************************
*                                                                                                                                                                  *
*      LEVEL OF EDUC OFFERED IN SCH (SHBK#2) VERSUS NEAREST SECONDARY SCHOOL (SIB#1.5)     *
*                                                                                                                                                                  *
************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((sfar5 = 0) AND (slevels=1 OR slevels = 2)).
VARIABLE LABEL filter_$ 'Discrepancies in school secondary education '.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=sibk_cas shbk_cas region district school sfar5 slevels  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Discrepancies in school secondary education'
  /MISSING=VARIABLE
  /CELLS=COUNT .


USE ALL.
COMPUTE filter_$=((sfar5 ~= 0) AND (slevels=3 OR slevels = 4)).
VARIABLE LABEL filter_$ 'Discrepancies in school secondary education '.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=sibk_cas shbk_cas region district school sfar5 slevels  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Discrepancies in school secondary education'
  /MISSING=VARIABLE
  /CELLS=COUNT .


************************************************************************************************************************************
*                                                                                                                                                                  *
*      NUMBER OF BOOKS IN LIBRARY (SIBK#20) VERSUS AVAILABILITY OF LIBRARY (SHBK#19.01)           *
*                                                                                                                                                                  *
************************************************************************************************************************************

USE ALL.
COMPUTE filter_$=((slibbks = 0) AND (sres01 = 2)).
VARIABLE LABEL filter_$ 'No books in library but school has library'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=sibk_cas shbk_cas region district school sres01 slibbks  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No books in library but school has library'
  /MISSING=VARIABLE
  /CELLS=COUNT .


USE ALL.
COMPUTE filter_$=((slibbks ~= 0) AND (sres01 = 1)).
VARIABLE LABEL filter_$ 'Books in library but school has no library'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=sibk_cas shbk_cas region district school sres01 slibbks  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Books in library but school has no library'
  /MISSING=VARIABLE
  /CELLS=COUNT .



************************************************************************************************************************************
*                                                                                                                                                                  *
*      # OF COMPUTERS IN SCHOOL (SIBK#19) VERSUS AVAILABILITY COMPUTERS IN SCH (SHBK#19.31) *
*                                                                                                                                                                  *
************************************************************************************************************************************


RECODE
  scomptr1 scomptr2 scomptr3 scomptr5  (MISSING=0)  .
EXECUTE .


USE ALL.
COMPUTE filter_$=((scomptr1= 0 and scomptr2 = 0 and scomptr3 = 0 and scomptr5 =0) and (sres31 = 2)).
VARIABLE LABEL filter_$ 'No sch computer (SIB#19) but sch has computers (SHBK#19.31)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=sibk_cas shbk_cas region district school sres31 scomptr1 scomptr2 scomptr3 scomptr5  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'No sch computer (SIB#19) but sch has computers (SHBK#19.31)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


USE ALL.
COMPUTE filter_$=((scomptr1~= 0 OR scomptr2 ~= 0 OR scomptr3 ~= 0 OR scomptr5 ~=0) and (sres31 = 1)).
VARIABLE LABEL filter_$ 'Sch has computer (SIB#19) but sch has no computers (SHBK#19.31)'.
FORMAT filter_$ (F1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE 
  /TABLES=sibk_cas shbk_cas region district school sres31 scomptr1 scomptr2 scomptr3 scomptr5  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE=  'Sch has computer (SIB#19) but sch has no computers (SHBK#19.31)'
  /MISSING=VARIABLE
  /CELLS=COUNT .


*************** END **************************** END *************************END ******************************* END ************************************************ .